<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\BlogCategory;
use Redirect;
use App\library\Aloha;

class BlogCategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        $blogCategoryDB = new BlogCategory;
        $blogCategory = $blogCategoryDB->get();
        return view('admin.blogCategory.index',compact('blogCategory'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  Request  $request
     * @return Response
     */
    public function store(Request $request)
    {
        $blogCategoryDB = new BlogCategory;

        $name = $request->category_name;
        $slug = Aloha::slugify($name);
        $slugAvail = $blogCategoryDB->where('slug', $slug)->count();
        if ($slugAvail > 0) {
            $slugCount = 1;
            while ($blogCategoryDB->where('slug', $slug)->count() > 0) {
                $slug = $slug . "-" . $slugCount;
                $slugCount++;
            }
        }

        $blogCategoryDB->slug = $slug;

        $blogCategoryDB->category_name = $request->category_name;

        $blogCategoryDB->save();

        return redirect('admin/blogcategory');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  Request  $request
     * @param  int  $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        $blogCategoryDB = new BlogCategory;

        $updateArr = array();

        $name = $request->category_name;
        $slug = Aloha::slugify($name);
        $slugAvail = $blogCategoryDB->where('slug', $slug)->where('id','!=', $id)->count();
        if ($slugAvail > 0) {
            $slugCount = 1;
            while ($blogCategoryDB->where('slug', $slug)->count() > 0) {
                $slug = $slug . "-" . $slugCount;
                $slugCount++;
            }
        }

        $updateArr['slug'] = $slug;

        $updateArr['category_name']=$request->category_name;

        $blogCategoryDB->where('id', $id)->update($updateArr);;
        return Redirect::to('admin/blogcategory');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        BlogCategory::destroy($id);
        return redirect('admin/blogcategory');
    }
}
