<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\Models\BlogNew;
use App\Models\BlogCategory;
use App\Models\BlogNewImages;
use Redirect;
use File;
use Aloha;

class BlogController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        $blogDB = new BlogNew;
        $blogs = $blogDB->orderby('date','desc')->get();

        return view('admin.blog.index',compact('blogs'));
    }
    public function home(){
        $blogDB = new BlogNew;
        $blogs = $blogDB->orderby('date','desc')->take(4)->get();
        return view('index',compact('blogs'));
    }
    public function brainyWrite(){
        $blogDB = new BlogNew;
        $blogs = $blogDB->orderby('date','desc')->take(4)->get();
        return view('brainy-write-smart',compact('blogs'));
    }
    public function blogs(){
        $blogDB = new BlogNew;
        $blogs = $blogDB->orderby('date','desc')->get();
        $blogcategories = BlogCategory::get();

        $gallery_images = [];
        // $destination_img_path = 'competition2017';
        $award_img_path = 'competition2017/Exam-Part3';
        $award_ceremony_dir = public_path($award_img_path);
        $files = File::allFiles($award_ceremony_dir);
        foreach ($files as $file)
        {
            $file_path = $file;
            $file_path_array = explode('/', $file_path);
            $gallery_images[] = '/'.$award_img_path.'/'.end($file_path_array);
        }
        return view('blogs',compact('blogs','gallery_images','blogcategories'));

    }
    public function blog_detail($slug){
        $blogDB = new BlogNew;
        $allblogs       = BlogNew::where('slug', '!=', $slug)->skip(0)->take(12)->orderby('date', 'desc')->get();
        $blogcategories = BlogCategory::get();

        $blog = $blogDB->where('slug',$slug)->first();
        return view('blog-detail',compact('allblogs','blog','blogcategories'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        $blogcateDB = new BlogCategory;
        $blogscategories = $blogcateDB->orderby('category_name','asc')->get();
        return view('admin.blog.create',compact('blogscategories'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  Request  $request
     * @return Response
     */
    public function store(Request $request)
    {
        $date = date("Y-m-d",strtotime($request->date));

        $BlogDB = new BlogNew;

        $slug1= Aloha::slugify($request->blog_title);
        $slug = str_replace(" ","-",strtolower(trim($slug1)));




        $Blog = $BlogDB->where("slug",$slug)->count();
        if($Blog>0){
            return redirect()->back()->withErrors('Slug already available');
        }

        if(empty($slug)){
            $slug = strtolower(trim($request->blog_title));
        }

        $BlogDB->blog_title = $request->blog_title;
        $BlogDB->author = $request->author;
        $BlogDB->date = $date;
        $BlogDB->category = $request->category;
        $BlogDB->small_content = $request->small_content;
        $BlogDB->slug = $slug;
        $BlogDB->blog_content = $request->blog_content;
        if($request->most_interesting=='' || $request->most_interesting=='0'){
            $BlogDB->most_interesting='0';
        }
        else{
            $BlogDB->most_interesting=$request->most_interesting;
        }

        $BlogDB->meta_title = $request->meta_title;
        $BlogDB->meta_keyword = $request->meta_keyword;
        $BlogDB->meta_content = $request->meta_content;
        $BlogDB->og_tag = $request->og_tag;
        $BlogDB->status = '1';

            $file = $request->file('image');

            if($file == ""){
                $imageName = "";}
            else{
                // print_r('no'); exit;
                $imageName       = time().'_'.$file[0]->getClientOriginalName();
                $imagePath       = $file[0]->getRealPath();
                $imageSize       = $file[0]->getSize();
                $destinationPath = 'blog';
                $file[0]->move($destinationPath,$imageName);
            }
        $BlogDB->image = $imageName;

        $BlogDB->save();
        $blogInsertedId = $BlogDB->id;



        // foreach ($_FILES['image']['name'] as $name => $value)
        // {
        //     $img = $_FILES["image"]['name'][$name];
        //     if(!empty($img))
        //     {
        //         $blogNewImagesDB = new BlogNewImages;
        //         $old = $_FILES['image']['tmp_name'][$name];
        //         $new_name = time() . $_FILES['image']['name'][$name];
        //         $new_path = public_path() . "/assets/images/blog/" . $new_name;                $copy_path_160 = public_path() . "/assets/images/blog/160x160/" . $new_name;                $copy_path_57 = public_path() . "/assets/images/blog/57x57/" . $new_name;
        //         $blogNewImagesDB->blog_id = $blogInsertedId;
        //         $blogNewImagesDB->image = $new_name;
        //         move_uploaded_file($old, $new_path);				copy($new_path, $copy_path_160);				copy($new_path, $copy_path_57);
        //         $blogNewImagesDB->save();
        //     }

        // }

        return Redirect::to('admin/blogmaster');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return Response
     */
    public function edit($id)
    {
        $blogDB = new BlogNew;
        $blog = $blogDB->where("id",$id)->first();

        $blogcateDB = new BlogCategory;
        $blogscategories = $blogcateDB->orderby('category_name','asc')->get();

        $blogNewImagewsDB = new BlogNewImages;
        $imgList = $blogNewImagewsDB->where("blog_id",$blog->id)->get();

        return view("admin.blog.edit",compact("blog","blogscategories","imgList"));

       // return view("admin.blog.edit",compact("blog","blogscategories"));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  Request  $request
     * @param  int  $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        $date = date("Y-m-d",strtotime($request->date));
        $blogDB = new BlogNew;

        $slug = strtolower(trim($request->blog_title));
        $Blog = $blogDB->where("slug",$slug)->where("id","!=",$id)->count();

        if($Blog>0){
            return redirect()->back()->withErrors('Slug already available');
        }

        $updateArr = array();

        $updateArr['blog_title']=$request->blog_title;
        $updateArr['category']=$request->category;
        $updateArr['small_content']=$request->small_content;
        $updateArr['blog_content']=$request->blog_content;
        $updateArr['most_interesting']=$request->most_interesting;
        $updateArr['date']=$date;
        // $updateArr['slug']=$slug;
        $updateArr['author']=$request->author;
        $updateArr['meta_title']=$request->meta_title;
        $updateArr['meta_keyword']=$request->meta_keyword;
        $updateArr['meta_content']=$request->meta_content;
        $updateArr['og_tag']=$request->og_tag;

       /* if(isset($_FILES['image'])) {
            if (trim($_FILES['image']['tmp_name']) != '') {
                $old = $_FILES['image']['tmp_name'];
                $new_name = time().$_FILES['image']['name'];
                $new_path = public_path()."/upload/blog-images/" . $new_name;
                $updateArr['image'] = $new_name;
                move_uploaded_file($old, $new_path);
            }
        }
*/


        $file = $request->file('image');

        // $path = public_path("icon/$product->icon");
        if($file == ''){
                    $image = BlogNew::where('id',$id)->first(['image']);
                    $imageName = $image->image;
            }
        else{

            $imageName       = time().'_'.$file->getClientOriginalName();
            $imagePath       = $file->getRealPath();
            $imageSize       = $file->getSize();
            $destinationPath = 'blog';
            $file->move($destinationPath,$imageName);
        }
            $updateArr['image'] = $imageName;

            $blogDB->where('id', $id)->update($updateArr);

        // if(isset($_FILES["image"]['name'])) {
        //     $i = 0;
        //     foreach ($_FILES['image']['name'] as $name => $value) {
        //         $imgNewIds = $_REQUEST["img_new_ids"][$i];

        //         $img = $_FILES["image"]['name'][$name];
        //         if (!empty($img)) {
        //             $blogNewImagesDB = new BlogNewImages;
        //             $imdUpdateArray = array();

        //             $old = $_FILES['image']['tmp_name'][$name];
        //             $new_name = time() . $_FILES['image']['name'][$name];
        //             $new_path = public_path() . "/upload/blog-images/" . $new_name;                    $copy_path_160 = public_path() . "/upload/blog-images/160x160/" . $new_name;                    $copy_path_57 = public_path() . "/upload/blog-images/57x57/" . $new_name;

        //             $imdUpdateArray['blog_id'] = $id;
        //             $imdUpdateArray['image'] = $new_name;

        //             move_uploaded_file($old, $new_path);										copy($new_path, $copy_path_160);					copy($new_path, $copy_path_57);

        //             $blogNewImagesDB->where('id', $imgNewIds)->where('blog_id', $id)->update($imdUpdateArray);
        //         }

        //         $i++;
        //     }
        // }
        // if(isset($_FILES["image_edit"]['name']))
        // {
        //     foreach ($_FILES['image_edit']['name'] as $name => $value)
        //     {
        //         $img = $_FILES["image_edit"]['name'][$name];
        //         if (!empty($img))
        //         {
        //             $blogNewImagesDB = new BlogNewImages;
        //             $old = $_FILES['image_edit']['tmp_name'][$name];
        //             $new_name = time() . $_FILES['image_edit']['name'][$name];
        //             $new_path = public_path() . "/upload/blog-images/" . $new_name;

        //             $blogNewImagesDB->blog_id = $id;
        //             $blogNewImagesDB->image = $new_name;
        //             move_uploaded_file($old, $new_path);

        //             $blogNewImagesDB->save();
        //         }
        //     }
        // }

        return Redirect::to('admin/blogmaster');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return Response
     */
    public function destroy($id)
    {
        BlogNew::destroy($id);

        $blogNewImagesDB = new BlogNewImages;
        $listImg = $blogNewImagesDB->where("blog_id",$id)->get();

        // foreach($listImg as $val)
        // {
        //     BlogNewImages::destroy($val->id);
        //     $new_path = public_path() . "/upload/blog-images/".$val->image;
        //     unlink($new_path);
        // }

        return redirect('admin/blogmaster');
    }

    public function status($id){
        $blogDB = new BlogNew;

        $blog = $blogDB->where('id',$id)->first();
        $updateArr = array();
        if($blog->status=='0'){
            $updateArr['status']='1';
        }
        else{
            $updateArr['status']='0';
        }
        $blogDB->where('id', $id)->update($updateArr);
        return Redirect::to('admin/blogmaster');
    }
}
