<?php
namespace App\Http\Controllers\admin;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Courses;
use App\Http\Controllers\Controller;
use Redirect;
use Validator;
use App\library\Aloha;
use Response;
use SoapClient;
use App\Models\City_Master;
use App\Models\FranchiseMaster;
class CourseController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $coursesDB = new Courses;
        $courses = $coursesDB->get();
        
        return view('admin.courses.index',compact('courses'));    
    }
    public function create()
    {
     return view('admin.courses.create');    
    }
        /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         
        $validator = Validator::make($request->all(), [
            'name'             =>'required',
            'line'          => 'required',
            'image'          => 'required',
            'price'          => 'required',
            'c_logo'          => 'required',
                        'file'          => 'required|mimes:pdf',
           
        ]);
        if($validator->fails())
        {
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
                        $courseDB = new Courses;
                        $name = $request->name;
                        $courseDB->name = $request->name;
                        $courseDB->line = $request->line;
                        $courseDB->price = $request->price;
                        $courseDB->course_structure = $request->course_structure;
                        $courseDB->page_content = $request->page_content;
                        $courseDB->file = $request->file;
                        $slug = Aloha::slugify($name);
                        $slugAvail = $courseDB->where('slug',$slug)->count();
                        if($slugAvail > 0){
                            $slugCount = 1;
                            while ($courseDB->where('slug',$slug)->count() > 0) {
                                $slug = $slug."-".$slugCount;
                                $slugCount++;
                            }
        }
                        $courseDB->slug = $slug;
                        if ($request->hasFile('image')) {
                                $date = date_create();
                                $name = date_format($date, 'U');
                                $path = 'upload/course/'.$name;
                                $img = $request->file('image');
                                $exp = $img->getClientOriginalName();
                                $exp = str_replace(' ', '-', $exp);
                                $exp = strtolower($exp);
                                $img->move($path,$exp);
                                $courseDB->image = $exp;
                                $courseDB->image_path = $path;
                                
                        }
                         if ($request->hasFile('c_logo')) {
                                $date = date_create();
                                $name = date_format($date, 'U');
                                $path = 'upload/course_logo/'.$name;
                                $img = $request->file('c_logo');
                                $exp = $img->getClientOriginalName();
                                $exp = str_replace(' ', '-', $exp);
                                $exp = strtolower($exp);
                                $img->move($path,$exp);
                                $courseDB->course_logo = $exp;
                                $courseDB->course_logo_path = $path;
                                
                        }
                        if ($request->hasFile('file')) {
                                $date = date_create();
                                $name = date_format($date, 'U');
                                $path = 'upload/files/'.$name;
                                $file = $request->file('file');
                                 $exp = $file->getClientOriginalName();
                                $exp = str_replace(' ', '-', $exp);
                                $exp = strtolower($exp);
                                $file->move($path,$exp);
                                $courseDB->file = $exp;
                                
                                
                        }
            $courseDB->save();
            return Redirect::to('admin/courses');   
        }
        
    }
        /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }
        /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $courses = Courses::findOrFail($id);
        return view('admin.courses.edit', compact('courses'));
    }
        /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'name'             =>'required',
            'line'          => 'required',
           
           
        ]);
        if($validator->fails())
        {
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
                        $name = $request->name;
                        $courseDB = Courses::find($id);
                        $courseDB->name = $request->name;
                        $coursename = $request->name;
                        $courseDB->line = $request->line;
                        $courseDB->price = $request->price;
                        $courseDB->page_content = $request->page_content;
                        $courseDB->course_structure = $request->course_structure;
                        $slug = Aloha::slugify($name);
                        $slugAvail = $courseDB->where('slug',$slug)->count();
                        if($slugAvail > 0){
                            $slugCount = 1;
                            while ($courseDB->where('slug',$slug)->count() > 0) {
                                $slug = $slug."-".$slugCount;
                                $slugCount++;
                            }
                        }
                        $courseDB->slug = $slug;
                                                if ($request->hasFile('image')) {
                                $date = date_create();
                                $name = date_format($date, 'U');
                                $path = 'upload/course/'.$name;
                                $img = $request->file('image');
                                $exp = $img->getClientOriginalName();
                                $exp = str_replace(' ', '-', $exp);
                                $exp = strtolower($exp);
                                $img->move($path,$exp);
                                $courseDB->image = $exp;
                                $courseDB->image_path = $path;
                                
                        }
                           if ($request->hasFile('c_logo')) {
                                $date = date_create();
                                $name = date_format($date, 'U');
                                $path = 'upload/course_logo/'.$name;
                                $img = $request->file('c_logo');
                                $exp = $img->getClientOriginalName();
                                $exp = str_replace(' ', '-', $exp);
                                $exp = strtolower($exp);
                                $img->move($path,$exp);
                                $courseDB->course_logo = $exp;
                                $courseDB->course_logo_path = $path;
                                
                        }
                          if ($request->hasFile('file')) {
                                $date = date_create();
                                $name = date_format($date, 'U');
                                $path = 'upload/files/'.$coursename.'/'.$name;
                                $file = $request->file('file');
                                 $exp = $file->getClientOriginalName();
                                $exp = str_replace(' ', '-', $exp);
                                $exp = strtolower($exp);
                                $file->move($path,$exp);
                                $courseDB->file = $exp;
                                $courseDB->file_path = $path;      
                                
                        }
            $courseDB->save();
            return Redirect::to('admin/courses');   
        }
    }
 
     /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Courses::destroy($id);
        return redirect('admin/courses');
    }
    
         public function coursesview($slug){
        
		if($slug == 'mental-arithmetic'){
			return view('courses.MentalArithmetic');
		}
		else{
			$coursesDB = new Courses;
			$courses = $coursesDB->where('slug',$slug)->first();
			if($courses){
				$city = array();
				//$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
				//$api_franchisees_list = $soap_client->get_franchises();
                $api_franchisees_list = FranchiseMaster::get();
                				foreach($api_franchisees_list as $key => $cities) {
					$city[] = $cities->city;
				}
				$city = array_values($city);
                				$city = array_unique($city);
				$cityValue = array();
				foreach($city as $value){
					$cityValue[$value] =  $value;
                    				}
                    				$citymaster = new City_Master;
				$allcity = $citymaster->where('is_deleted', 0)->get();
                if ($slug = 'english-smart') {
                    $pdfBrochure = 'englishBrochure';
                }else{
                    $pdfBrochure = 'downloadpdfall';
                }
				return view('courses.viewcourses',compact('courses','allcity','cityValue','pdfBrochure'));
			}
			else{
				return view('errors.404');
			}
		}
    }
    
        public function downloadpdf($id){
		 $coursesDB = new Courses;
		 $userData = $coursesDB->where('id', $id)->first();
		 $filename=$userData->file;
		 $filepath=$userData->file_path;
		 $file = $filepath.'/'.$filename;
          
            
		$headers = array(
		  'Content-Type: application/pdf',
		);
        return Response::download($file,$filename, $headers);
    }
    	public function courses(){
		return view('courses.index');
	}
    // summer activities
    public function summer_activities()
    {
        $coursesDB = new Courses;
        // $courses = $coursesDB->where('slug',$slug)->first();
        $city = array();
                //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
                //$api_franchisees_list = $soap_client->get_franchises();
                $api_franchisees_list = FranchiseMaster::get();
                foreach($api_franchisees_list as $key => $cities) {
                    $city[] = $cities->city;
                }
                $city = array_values($city);
                $city = array_unique($city);
                $cityValue = array();
                foreach($city as $value){
                    $cityValue[$value] =  $value;
                }
                 $citymaster = new City_Master;
                $allcity = $citymaster->where('is_deleted', 0)->get();
                return view('courses.summer_activities',compact('allcity','cityValue'));
    }
    public function after_school_programs()
    {
        $coursesDB = new Courses;
        $city = array();
                //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
                //$api_franchisees_list = $soap_client->get_franchises();
                $api_franchisees_list = FranchiseMaster::get();
                foreach($api_franchisees_list as $key => $cities) {
                    $city[] = $cities->city;
                }
                $city = array_values($city);
                $city = array_unique($city);
                $cityValue = array();
                foreach($city as $value){
                    $cityValue[$value] =  $value;
                }
                 $citymaster = new City_Master;
                $allcity = $citymaster->where('is_deleted', 0)->get();
                return view('courses.after_school_programs',compact('allcity','cityValue'));
    }
}
