<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\FranchiseDetails;
use App\Models\State_Master;
use App\Models\City_Master;
use App\Models\Area_Master;
//use Illuminate\Support\Facades\Artisan;
//use Illuminate\Support\Facades\Schema;
//use Artisan;


class FranchiseDetailsController extends Controller
{
    public function getCities(Request $request){
        $citys = City_Master::where('is_deleted',0)->where('state_id',$request->stateId)->orderBy("name")->get();
        
        return response(['city' => $citys]);
    }

    public function index()
    {
        $franchiseeDetailsDB = new FranchiseDetails;
        $franchiseeDetails  = $franchiseeDetailsDB->orderby('id','desc')->get();
//        dd($franchiseeDetails );
//        exit;
        return view('admin.franchiseDetails.index',compact('franchiseeDetails'));
    }

    public function create()
    {
        $states = State_Master::where('is_deleted',0)->orderBy("name")->get();
//        $citys   = City_Master::where('is_deleted',0)->orderBy("name")->get();
        return view('admin.franchiseDetails.form',compact('states','citys'));
    }

    public function edit($id)
    {
//        $area = Area_Master::all();
//        echo "<pre>";
//        print_r($area);
//        exit;
        $franchiseeDetails = FranchiseDetails::findOrFail($id);
        $states = State_Master::where('is_deleted',0)->orderBy("name")->get();
        $citys = City_Master::where('is_deleted',0)->where('state_id',$franchiseeDetails->state)->orderBy("name")->get();
        $areas = Area_Master::where('is_deleted',0)->orderBy("name")->get();
        return view('admin.franchiseDetails.edit',compact('states','citys','franchiseeDetails','areas'));
    }

    public function store(Request $request)
    {
        $franchiseeDetailsDB = new FranchiseDetails;
        $franchiseeDetailsDB->center_name = $request->center_name;
        $franchiseeDetailsDB->course = $request->course;
        $franchiseeDetailsDB->city = $request->city;
        $franchiseeDetailsDB->state = $request->state;
        $franchiseeDetailsDB->save();
        $response = "Saved Successfully";
        $franchiseeDetails  = $franchiseeDetailsDB->orderby('id','desc')->get();
        return view('admin.franchiseDetails.index',compact('franchiseeDetails','response'));
    }

    public function update(Request $request, $id)
    {
        $franchiseeDetailsDB = FranchiseDetails::find($id);
        $franchiseeDetailsDB->center_name = $request->center_name;
        $franchiseeDetailsDB->course = $request->course;
        $franchiseeDetailsDB->city = $request->city;
        $franchiseeDetailsDB->state = $request->state;
        $franchiseeDetailsDB->update();
        $response = "Saved Successfully";
        $franchiseeDetails  = $franchiseeDetailsDB->orderby('id','desc')->get();
        return view('admin.franchiseDetails.index',compact('franchiseeDetails','response'));
    }

    public function destroy($id)
    {
        FranchiseDetails::destroy($id);
        return redirect('admin/franchise');
    }

//    public function migration(){
////        Artisan::call('migrate');
//        Artisan::call('migrate', array('--path' => '/database/migrations/franchise_details.php', '--force' => true));
////        Artisan::call('migrate', array('--path' => 'app/migrations', '--force' => true));
//    echo "done";
//    }
//
//    public function schema(){
//        if (Schema::hasTable('franchise_details'))
//        {
//            echo "yes";
//        }
//        else
//            echo "no";
//    }
}


