<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Http\Controllers\Controller;
use App\Models\FranchiseInquiry;

class FranchiseInquiryController extends Controller
{
    public function index(Request $request)
    {
        $franchiseeInquiriesDB = new FranchiseInquiry;

        if(isSet($request->fromdate) && $request->fromdate != null)
            $fromdate = $request->fromdate;
        else
            $fromdate = new Carbon('first day of this month 00:00:00');

        if(isSet($request->todate) && $request->todate != null)
            $todate = Carbon::parse($request->todate)->format('Y-m-d 23:59:59');
        else
            $todate = new Carbon('today 23:59:59');

        $franchiseeInquiries = $franchiseeInquiriesDB->where('created_at','>=',$fromdate)->where('created_at','<=',$todate)->orderby('id','desc')->get();
      //  dd($franchiseeInquiries);

        $fromdate = Carbon::parse($fromdate)->format('Y-m-d');
        $todate = Carbon::parse($todate)->format('Y-m-d');
        
        return view('admin.inquiries.franchiseeInquiries',compact('franchiseeInquiries', 'todate','fromdate'));
    }
     public function destroy($id)
    {
        FranchiseInquiry::destroy($id);
		return redirect('admin/franchise-inquiry');
    }
}
