<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\FranchiseMaster;
use App\Models\Country_Master;
use App\Models\State_Master;
use App\Models\City_Master;
use App\Models\Area_Master;
use App\Models\Courses;
use App\Models\Imagecategorymaster;
use App\Models\Franchisee_Images;
use App\Models\Social_Media;
use App\Models\Promoter;
use App\Models\FranchiseeInquiry;
use App\Models\StudentInquiry;
use App\Models\FranchiseNewsUpdates;
use App\Models\FranchiseDetail;
use Carbon\Carbon;

use Hash;
use Redirect;
use Auth;
use Validator;


class FranchiseMasterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $franchise = FranchiseDetail::get();
        //dd($franchise);
        return view('admin.franchiseMaster.index',compact('franchise'));

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $validator = $this->validate($request, [
            'franchisee_name' => 'required',
            'center_name'     => 'required',
            'city'            => 'required',
            'fr_address'      => 'required',
            'area'            => 'required',
            'center_code'     => 'required',
            'courses'         => 'required',

        ]);
        dd($validator);
        if ($validator->fails()) {

            return response()->json([
                'success' => false,
                'msg' => $validator->errors(),
                'redirect' => "",
                'func' => "",
            ], 200);

        }
        $data= [
            'franchisee_name' => $request->name,
            'center_name'     => $request->center,
            'city'            => $request->city,
            'fr_address'      => $request->address,
            'area'            => $request->area,
            'center_code'     => $request->code,
            'courses'         => $request->courses,
        ];

        $franchise_master = FranchiseMaster::create($data);
        return response()->json([
            'success' => false,
            'msg' => $franchise_master,
            'redirect' => "",
            'func' => "",
        ], 200);


        return redirect('/admin/franchisee-master');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
//        $this->validate($request, [
//            'franchisee_name' => 'required',
//            'center_name'     => 'required',
//            'city'            => 'required',
//            'fr_address'      => 'required',
//            'area'            => 'required',
//            'center_code'     => 'required',
//            'courses'         => 'required',
//
//        ]);
        //dd($validator);
//
        $data= [
            'franchisee_name' => $request->name,
            'center_name'     => $request->center,
            'city'            => $request->city,
            'fr_address'      => $request->address,
            'area'            => $request->area,
            'center_code'     => $request->code,
            'courses'         => $request->courses,
        ];

        $franchise_master = FranchiseMaster::create($data);
        return response()->json([
            'success' => false,
            'msg' => $franchise_master,
            'redirect' => "",
            'func' => "",
        ], 200);



        return redirect('/admin/franchisee-master');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $franchisee =  FranchiseDetail::where('id',$id)->first();
        $social_link = Social_Media::where('frid', $franchisee->fr_id)->first();
        //dd($franchisee);
        $countryDB = new Country_Master;
        $allcountries = $countryDB->where('is_deleted', 0)->get();

        $coursesDB = new Courses;
        $courses = $coursesDB->where('status', 1)->get();
        $areaDB = new Area_Master;
        $areas = $areaDB->where('is_deleted', 0)->get();
        $cityDB = new City_Master;
        $cities = $cityDB->where('is_deleted', 0)->get();
        return view('admin.franchiseMaster.create', compact('allcountries', 'courses', 'areas', 'cities', 'franchisee', 'social_link'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        // print_r($id); exit();

        // $this->validate($request, [
        //     'franchisee_name' => 'required',
        //     'center_name'     => 'required',
        //     'city'            => 'required',
        //     'fr_address'      => 'required',
        //     'area'            => 'required',
        //     'center_code'     => 'required',
        //     'courses'         => 'required',
        // ]);
        // if($this->fails())
        // {
        //     print_r('fails'); 
        // }
        // else{
        $data = [
            'franchisee_name' => $request->name,
            'center_name'     => $request->center,
            'city'            => $request->city,
            'fr_address'      => $request->address,
            'area'            => $request->area,
            'center_code'     => $request->code,
            'courses'         => $request->courses,
        ];
        // dd($data);
        $success =  FranchiseMaster::where('id',$id)->update($data);

        //    if ($success) {
        //   print_r('true');
        //    }
        //    else{
        //     print_r('false'); 
        //    }
        // }
        return redirect('/admin/franchisee-master');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $deletedAt = Carbon::now();
        FranchiseDetail::where('id',$id)->update(['deleted_at' => $deletedAt]);
        return redirect('/admin/franchisee-master');
    }

    public function getCreate(){
        $countryDB = new Country_Master;
        $allcountries = $countryDB->where('is_deleted', 0)->get();

        $coursesDB = new Courses;
        $courses = $coursesDB->where('status', 1)->get();
        $areaDB = new Area_Master;
        $areas = $areaDB->where('is_deleted', 0)->get();
        $cityDB = new City_Master;
        $cities = $cityDB->where('is_deleted', 0)->get();
        return view('admin.franchiseMaster.create', compact('allcountries', 'courses', 'areas', 'cities'));
    }

    public function postCreate(Request $request){
//        $json = file_get_contents("https://maps.google.com/maps/api/geocode/json?key=AIzaSyDwNOiyGj4UvHl2afXri4xJz6-NRg4lY_g&address=".str_replace(' ','+',$request->address)."&sensor=false&region=India");
//        $json = json_decode($json);
//        dd($json);
//
//        $lat = $json->{'results'}[0]->{'geometry'}->{'location'}->{'lat'};
//        $long = $json->{'results'}[0]->{'geometry'}->{'location'}->{'lng'};
        //dd($request);

        $validator = Validator::make($request->all(), [
            'f_name' => 'required',
            'fr_id' => 'required',


            'city' => 'required',

            'c_no1' => 'required',

            'email' => 'required',



        ]);
        //dd($validator->errors());
        if ($validator->fails()) {
            return Redirect::back()->withInput()->withErrors($validator);
        } else {
            if($request->franchisee_id == "" || $request->franchisee_id == null) {

                $frDetailDB = new FranchiseDetail;
                $frDetailDB->franchisee_name = $request->f_name;
                $frDetailDB->franchisee_promoters_descriptions = $request->promoters_description;

                $frDetailDB->promoter_name = $request->promoters;

                $frDetailDB->franchisee_city = $request->city;
                $courses = implode(',', $request->courses);
                $frDetailDB->franchisee_courses = $courses;
                $frDetailDB->franchisee_address = $request->address;
                $frDetailDB->franchisee_contact1 = $request->c_no1;
                $frDetailDB->franchisee_mobile = $request->c_no2;
                $frDetailDB->franchisee_sms_mobilr = $request->c_no3;
                $frDetailDB->franchisee_email = $request->email;
                $frDetailDB->franchisee_center_timing = $request->c_timing;
                $frDetailDB->franchisee_social_media = $request->fb_link.','.$request->tw_link.','.$request->li_link.','.$request->insta_link.','.$request->googleP_link;
                $frDetailDB->franchisee_area = $request->area;
                $frDetailDB->franchisee_page_link = "http://www.alohagujarat.com/center/".strtolower($request->city).'-'.strtolower($request->area);
                $frDetailDB->franchisee_center_code = $request->center_code;
                $frDetailDB->fr_id = $request->fr_id;
                $frDetailDB->latitude = $request->latitude;
                $frDetailDB->longitude = $request->longitude;

                $frDetailDB->save();

                if($request->fb_link != '' || $request->fb_link != null || $request->tw_link != '' || $request->tw_link != null || $request->pn_link != '' || $request->pn_link != null || $request->insta_link != '' || $request->insta_link != null || $request->yout_link != '' || $request->yout_link != null) {
                    $social_link = new Social_Media;
                    $social_link->f_link = $request->fb_link;
                    $social_link->frid = $request->fr_id;
                    $social_link->t_link = $request->tw_link;
                    $social_link->p_link = $request->pn_link;
                    $social_link->i_link = $request->insta_link;
                    $social_link->youtube_link = $request->yout_link;
                    $social_link->status = 1;
                    $social_link->save();
                }
                return Redirect::to('admin/franchisee-master')->with('success', 'Franchisee successfully created');
            }
            else{

                $data['franchisee_name'] = $request->f_name;
                $data['franchisee_promoters_descriptions'] = $request->promoters_description;

                $data['promoter_name'] = $request->promoters;

                $data['franchisee_city'] = $request->city;
                $courses = implode(',', $request->courses);
                $data['franchisee_courses'] = $courses;
                $data['franchisee_address'] = $request->address;
                $data['franchisee_contact1'] = $request->c_no1;
                $data['franchisee_mobile'] = $request->c_no2;
                $data['franchisee_sms_mobilr'] = $request->c_no3;
                $data['franchisee_email'] = $request->email;
                $data['franchisee_center_timing'] = $request->c_timing;
                $data['franchisee_social_media'] = $request->fb_link.','.$request->tw_link.','.$request->li_link.','.$request->insta_link.','.$request->googleP_link;
                $data['franchisee_area'] = $request->area;
                $data['franchisee_page_link'] = "http://www.alohagujarat.com/center/".strtolower($request->city).'-'.strtolower($request->area);
                $data['franchisee_center_code'] = $request->center_code;
                $data['fr_id'] = $request->fr_id;
                $data['latitude'] = $request->latitude;
                $data['longitude'] = $request->longitude;
                FranchiseDetail::where('id', $request->franchisee_id)->update($data);

                $social_link = Social_Media::where('frid', $request->fr_id)->first();
                if($social_link){
                    $socialData['f_link'] = $request->fb_link;
                    $socialData['frid'] = $request->fr_id;
                    $socialData['t_link'] = $request->tw_link;
                    $socialData['p_link'] = $request->pn_link;
                    $socialData['i_link'] = $request->insta_link;
                    $socialData['youtube_link'] = $request->yout_link;
                    $socialData['status'] = 1;
                    Social_Media::where('frid', $request->fr_id)->update($socialData);
                }
                else{
                    if($request->fb_link != '' || $request->fb_link != null || $request->tw_link != '' || $request->tw_link != null || $request->pn_link != '' || $request->pn_link != null || $request->insta_link != '' || $request->insta_link != null || $request->yout_link != '' || $request->yout_link != null) {
                        $social_link = new Social_Media;
                        $social_link->f_link = $request->fb_link;
                        $social_link->frid = $request->fr_id;
                        $social_link->t_link = $request->tw_link;
                        $social_link->p_link = $request->pn_link;
                        $social_link->i_link = $request->insta_link;
                        $social_link->youtube_link = $request->yout_link;
                        $social_link->status = 1;
                        $social_link->save();
                    }
                }
                return Redirect::to('admin/franchisee-master')->with('success', 'Franchisee successfully updated');
            }

            return Redirect::to('admin/franchisee-master')->with('success', 'Franchisee successfully created');
        }
    }
}
