<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\StudentInquiry;
use Carbon\Carbon;

class StudentInquiryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $StudentInquiryDB = new StudentInquiry;

        if(isSet($request->fromdate) && $request->fromdate != null)
            $fromdate = $request->fromdate;
        else
            $fromdate = new Carbon('first day of this month 00:00:00');

        if(isSet($request->todate) && $request->todate != null)
            $todate = Carbon::parse($request->todate)->format('Y-m-d 23:59:59');
        else
            $todate = new Carbon('today 23:59:59');


        $studentInquiries = $StudentInquiryDB->where('created_at','>=',$fromdate)->where('created_at','<=',$todate)->orderby('id','desc')->get();

       $fromdate = Carbon::parse($fromdate)->format('Y-m-d');
       $todate = Carbon::parse($todate)->format('Y-m-d');

		//$studentInquiries = $StudentInquiryDB->orderby('id','desc')->get();
		
		return view('admin.inquiries.studentInquiries',compact('studentInquiries','todate','fromdate'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        StudentInquiry::destroy($id);
		return redirect('admin/student-inquiry');
    }
}
