<?php

namespace App\Http\Controllers\Franchisee;

use App\Models\Achievements;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Hash;
use Redirect;
use Auth;
use Validator;
use Session;

class AchievementsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $fid=Session::get('frid');
        $f_id = Auth::user()->id;
        $AchievementsDB = new Achievements;
        $achievements = $AchievementsDB->where('frid',$fid)->get();

        return view('franchiseeadmin.achievements.index', compact('achievements'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('franchiseeadmin.achievements.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'date' => 'required',
            'achievements' => 'required',
        ]);
        if ($validator->fails()) {
            return Redirect::back()->withInput()->withErrors($validator);
        } else {
            $achievementsDB = new Achievements;

            $f_id = Auth::user()->id;
            $achievementsDB->frid = Session::get('frid');
            $achievementsDB->date = $request->date;
            $achievementsDB->achievements = $request->achievements;
            $achievementsDB->f_id = $f_id;
            $achievementsDB->save();

            return Redirect::to('franchiseeadmin/achievements');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $achievements = Achievements::findOrFail($id);
        return view('franchiseeadmin.achievements.edit', compact('achievements'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'date' => 'required',
            'achievements' => 'required',
        ]);
        if ($validator->fails()) {
            return Redirect::back()->withInput()->withErrors($validator);
        } else {
            $achievementsDB = Achievements::findOrFail($id);
            $achievementsDB->date = $request->date;
            $achievementsDB->achievements = $request->achievements;
            $achievementsDB->status = 0;
            $achievementsDB->save();
            return Redirect::to('franchiseeadmin/achievements');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Achievements::destroy($id);
        return redirect('franchiseeadmin/achievements');
    }
}
