<?php

namespace App\Http\Controllers\Franchisee;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Hash;
use Redirect;
use Auth;
use Validator;
use App\Models\FranchiseeUsers;


class FranchiseeAboutController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $id = Auth::user()->id;
        $FranchiseeUsers = new FranchiseeUsers;
        $franchisees = $FranchiseeUsers->where('f_id', $id)->get();
        return view('franchiseeadmin.about.index', compact('franchisees'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $franchisee = FranchiseeUsers::findOrFail($id);
        return view('franchiseeadmin.about.edit', compact('franchisee'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $validator = Validator::make($request->all(), [
            'address' => 'required',
            'promoters_description' => 'required',
            'c_timings' => 'required',
            'c_no1' => 'required',
            'c_no2' => 'required',
            'c_no3' => 'required',
            'email' => 'required',


        ]);
        if ($validator->fails()) {
            return Redirect::back()->withInput()->withErrors($validator);
        } else {
            $courseDB = FranchiseeUsers::find($id);
            $courseDB->address = $request->address;
            $courseDB->promoters_description = $request->promoters_description;
            $courseDB->c_timing = $request->c_timings;
            $courseDB->c_no1 = $request->c_no1;
            $courseDB->c_no2 = $request->c_no2;
            $courseDB->c_no3 = $request->c_no3;
            $courseDB->email = $request->email;


            $courseDB->save();
            return Redirect::to('franchiseeadmin/about');
        }
    }


    /**
     * Remove the specified resource from storage.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
