<?php

namespace App\Http\Controllers\Franchisee;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Franchisee_Videos;
use Auth;
use Validator;
use Redirect;

class FranchiseeAdminVideosController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $id = Auth::user()->id;
        $videosDB = new  Franchisee_Videos;
        $allvideos = $videosDB->where('f_id',$id)->get();
        return view('franchiseeadmin.videos.index',compact('allvideos'));

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('franchiseeadmin.videos.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         $validator = Validator::make($request->all(), [
            'f_url'             =>'required',
        
        ]);
        if($validator->fails())
        {
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
                        $id = Auth::user()->id;
                        $videosDB = new Franchisee_Videos;
                        $videosDB->f_url = $request->f_url;
                        $videosDB->f_id = $id;
                        $videosDB->save();
                    return Redirect::to('/franchiseeadmin/videos');   
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $videos = Franchisee_Videos::findOrFail($id);
        return view('franchiseeadmin.videos.edit', compact('videos'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'f_url'             =>'required',
        
        ]);
        if($validator->fails())
        {
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
                        
                        $videosDB = Franchisee_Videos::find($id);
                        $videosDB->f_url = $request->f_url;
                        $videosDB->save();
                    return Redirect::to('/franchiseeadmin/videos');   
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
         Franchisee_Videos::destroy($id);
        return redirect('/franchiseeadmin/videos');
    }
}
