<?php

namespace App\Http\Controllers\Franchisee;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Franchisee_testionial;
use Validator;
use Redirect;
use Auth;
use Session;

class FranchiseeTesimonialsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
//        $id = Auth::user()->id;
//        echo $id;
//        exit;
        $fid=Session::get('frid');
        $testimonial  = new Franchisee_testionial;
        $testimonials = $testimonial->where('fr_id',$fid)->get();

        return view('franchiseeadmin.testimonials.index',compact('testimonials'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('franchiseeadmin.testimonials.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name'             =>'required',
            'designation'          => 'required',
            'message'          => 'required',
        ]);
        if($validator->fails())
        {
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
                        $id = Session::get('frid');
                        $testimonial = new Franchisee_testionial;
                        $testimonial->name = $request->name;
                        $testimonial->designation = $request->designation;
                        $testimonial->message = $request->message;
                        $testimonial->fr_id = $id;
                                   
        }          
           $testimonial->save(); 
            return Redirect::to('franchiseeadmin/testimonials');   
        }
    

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
          $testimonials = Franchisee_testionial::findOrFail($id);
        return view('franchiseeadmin.testimonials.edit', compact('testimonials'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
{
    
        $validator = Validator::make($request->all(), [
            'testimonial'             =>'required',
            't_name'          => 'required',
            
        ]);
        if($validator->fails())
        {
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {

                        $testimonial = Franchisee_testionial::find($id);
                        $testimonial->testimonial = $request->testimonial;
                        $testimonial->testimonial_name = $request->t_name;
                                   
        }          
           $testimonial->save(); 
            return Redirect::to('franchiseeadmin/testimonials');   
        }
    
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
          Franchisee_testionial::destroy($id);
        return redirect('franchiseeadmin/testimonials');
    }
    public function admintestimonials(){

             $franchisee = new Franchisee_testionial;
             $alltestimonials = $franchisee->get();
             return view('admin.f_testimonials.f-testimonials',compact('alltestimonials'));
    }
    public function testimonialdisable(Request $request, $id)
    {
        $status =  0;
            $videogallary = Franchisee_testionial::find($id);
            $videogallary->status = $status;
            $videogallary->save();
            return Redirect::to('admin/testimonials'); 

     }
      public function testimonialenable(Request $request, $id)
    {
            $status =  1;
            $videogallary = Franchisee_testionial::find($id);
            $videogallary->status = $status;
            $videogallary->save();
            return Redirect::to('admin/testimonials'); 

     }
}
