<?php

namespace App\Http\Controllers\Franchisee;

use App\Models\Newsandupdates;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use Hash;
use Redirect;
use Auth;
use Validator;
use Session;


class NewsandupdatesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $fid=Session::get('frid');
        $f_id = Auth::user()->id;
        $Newsandupdates = new Newsandupdates;
        $news = $Newsandupdates->where('frid',$fid)->get();

        return view('franchiseeadmin.news.index', compact('news'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('franchiseeadmin.news.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'date' => 'required',
            'news' => 'required',
        ]);
        if ($validator->fails()) {
            return Redirect::back()->withInput()->withErrors($validator);
        } else {
            $news = new Newsandupdates;

            $f_id = Auth::user()->id;
            $news->date = $request->date;
            $news->news = $request->news;
            $news->frid = Session::get('frid');
            $news->f_id = $f_id;
            $news->save();

            return Redirect::to('franchiseeadmin/news');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        $news = Newsandupdates::findOrFail($id);
        return view('franchiseeadmin.news.edit', compact('news'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'date' => 'required',
            'news' => 'required',
        ]);
        if ($validator->fails()) {
            return Redirect::back()->withInput()->withErrors($validator);
        } else {
            $newsDB = Newsandupdates::findOrFail($id);
            $newsDB->date = $request->date;
            $newsDB->news = $request->news;
            $newsDB->status = 0;

            $newsDB->save();
            return Redirect::to('franchiseeadmin/news');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Newsandupdates::destroy($id);
        return redirect('franchiseeadmin/news');
    }
}
