<?php

namespace App\Http\Controllers\Franchisee;

use App\Models\Achievements;
use App\Models\Newsandupdates;
use Illuminate\Http\Request;
use App\Models\IntegrateInstagram;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\FranchiseeUsers;
use Hash;
use Redirect;
use Auth;
use Validator;
use App\library\Aloha;
use App\Models\Country_Master;
use App\Models\State_Master;
use App\Models\City_Master;
use App\Models\Area_Master;
use App\Models\Courses;
use App\Models\Imagecategorymaster;
use App\Models\Franchisee_Images;
use App\Models\Social_Media;
use App\Models\Promoter;
use App\Models\FranchiseeInquiry;
use App\Models\StudentInquiry;
use App\Models\FranchiseNewsUpdates;
use App\Models\FranchiseMaster;
use App\Models\FranchiseDetail;
use SoapClient;
//use Illuminate\Support\Facades\Redirect;
use stdClass;
use Mail;
use ReCaptcha;
use DB;
use App\User;
use Session;

class FranchiseeController extends Controller
{

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        // require_once base_path('vendor/phpmailer/phpmailer/PHPMailerAutoload.php');
        // require_once base_path('vendor/phpmailer/phpmailer/PHPMailerAutoload.php');
        // require_once __DIR__ ."/recaptchalib.php";
    }

    public function index()
    {
        $Franchiseeusers = new Franchiseeusers;
        $franchisees     = $Franchiseeusers->get();
        return view('admin.franchisee.index', compact('franchisees'));
    }

    public function sendemail(Request $request)
    {
        $messages  = [
            'name.required'           => 'Please enter name.',
            'contact_number.required' => 'Please enter contact number.',
            'contact_number.regex'    => 'Please enter minimum 10 digit contact number.',
            'city.required'           => 'Please select city.',
        ];
        $validator = Validator::make($request->all(), [
                    'name'           => 'required|string',
                    'contact_number' => 'required|regex:/[0-9]{10}/',
                    'city'           => 'required',
                        ], $messages);

        if ($validator->fails())
        {
            $msg      = $validator->errors()->all();
            $msg      = implode('<br>', $msg);
            $type     = 'error';
            $redirect = '';
            $function = '';
            return Aloha::formResponse($type, $msg, $redirect, $function);
        }
        if (isset($_REQUEST['g-recaptcha-response']) && !empty($_REQUEST['g-recaptcha-response']))
        {
            $secret = '6LfWxhkUAAAAAJy60MwkrnKKHGTp74b0tQM4tZql';

            $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
            $responseData   = json_decode($verifyResponse);
            if (!$responseData->success)
            {
                $msg      = "Please verify google captcha.";
                $type     = 'error';
                $redirect = '';
                $function = '';
                return Aloha::formResponse($type, $msg, $redirect, $function);
            }
        }
        else
        {
            $msg      = "Please verify google captcha.";
            $type     = 'error';
            $redirect = '';
            $function = '';
            return Aloha::formResponse($type, $msg, $redirect, $function);
        }
        if ($request != null && $request->ajax())
        {
            $studentDB = new StudentInquiry;

            $studentDB->student_name = $request->name;
            $studentDB->email        = '';
            $studentDB->area         = $request->area;
            $studentDB->contact_no   = $request->contact_number;
            $studentDB->city         = $request->city;
            //$studentDB->page_url = $request->page_url;

            $studentDB->save();

            $insertedId       = $studentDB->id;
            $franchisee_email = FranchiseDetail::where('franchisee_city', $request->city)->where('franchisee_area', $request->area)->pluck('franchisee_email');

            if (isset($request->sub_name) && $request->sub_name != '')
            {
                $mail_subject = '#' . $insertedId . ' Student Inquiry from ' . $request->sub_name;
            }
            else
            {
                $mail_subject = '#' . $insertedId . ' Aloha Student Inquiry - ' . $request->area . ', ' . $request->city;
            }

//            $studentdata = '
//					<h1>' . $mail_subject . '</h1>
//					<table>
//					<tr>
//
//					</tr>
//					<tr>
//						<td>Name:</td>
//						<td>' . $request->name . '</td>
//					</tr>
//					<tr>
//						<td>Contact number:</td>
//						<td>' . $request->contact_number . '</td>
//					</tr>
//					<tr>
//						<td>City:</td>
//						<td>' . $request->city . '</td>
//					</tr>
//					 </table>
//					';
//
//            $mail = new \PHPMailer(true);
//
//            $mail->isSMTP();
//            $mail->Host       = 'smtp.gmail.com';
//            $mail->SMTPSecure = 'tls';
//            $mail->SMTPAuth   = true;
//            $mail->Port       = 587;
//            $mail->Username   = 'alohagujrat2005@gmail.com';
//            $mail->Password   = 'fspdfcqpmicrlxgo';
//
//            $mail->addAddress("alohagujarat2004@gmail.com");
//            $mail->addCC($franchisee_email);
//            $mail->SetFrom("alohagujrat2005@gmail.com", "Aloha Gujarat");
//
//            $mail->Subject = $mail_subject;
//
//            $mail->IsHTML(true);
//            $mail->Body = $studentdata;
//            $mail->Send();
//
//            $msg      = 'Your inquiry submitted successfully.';
//            $type     = 'success';
//            $redirect = '/thank-you';
//            $function = '';

            $data = [
                'name'   => $request->name,
                'number' => $request->contact_number,
                'city'   => $request->city,
            ];
            try
            {
                Mail::send('email.student-inquiry-1', ['data' => $data], function ($message) use ($data)
                {
                    $message->setFrom('admin@brainy.co.in', 'Brainy');
                    $message->to('alohagujarat2004@gmail.com');
                    $message->cc($franchisee_email);

                    $message->subject($mail_subject);
                });
            }
            catch (\Exception $e)
            {
                $response            = array();
                $response['success'] = true;
                $response['message'] = "Your inquiry submitted successfully.";
                $response['url']     = URL::to('/') . "/thankyou";
                echo json_encode($response, 200);
                die;
            }
            $response            = array();
            $response['success'] = true;
            $response['message'] = "Your inquiry submitted successfully.";
            $response['url']     = URL::to('/') . "/thankyou";
            echo json_encode($response, 200);
            die;
            //return Aloha::formResponse($type, $msg, $redirect, $function);
        }
    }

    public function sendemailfrachisee(Request $request)
    {
        $messages  = [
            'name.required'           => 'Please enter name.',
            'email.required'          => 'Please enter email.',
            'contact_number.required' => 'Please enter contact number.',
            'contact_number.regex'    => 'Please enter minimum 10 digit contact number.',
            'city.required'           => 'Please select city.',
        ];
        $validator = Validator::make($request->all(), [
                    'name'           => 'required|string',
                    'email'          => 'required|email',
                    'contact_number' => 'required|regex:/[0-9]{10}/',
                    'city'           => 'required',
                        ], $messages);

        if ($validator->fails())
        {
            $msg      = $validator->errors()->all();
            $msg      = implode('<br>', $msg);
            $type     = 'error';
            $redirect = '';
            $function = '';
            return Aloha::formResponse($type, $msg, $redirect, $function);
        }
        if (isset($_REQUEST['g-recaptcha-response']) && !empty($_REQUEST['g-recaptcha-response']))
        {
            $secret         = '6LfWxhkUAAAAAJy60MwkrnKKHGTp74b0tQM4tZql';
            //get verify response data
            $verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
            $responseData   = json_decode($verifyResponse);
            if (!$responseData->success)
            {
                $msg      = "Please verify google captcha.";
                $type     = 'error';
                $redirect = '';
                $function = '';
                return Aloha::formResponse($type, $msg, $redirect, $function);
            }
        }
        else
        {
            $msg      = "Please verify google captcha.";
            $type     = 'error';
            $redirect = '';
            $function = '';
            return Aloha::formResponse($type, $msg, $redirect, $function);
        }
        if ($request != null && $request->ajax())
        {
            $studentDB = new FranchiseeInquiry;

            $student = $studentDB->orderby("id", 'desc')->first();

            if ($student)
            {
                $url_explode = explode("?", $student->page_url);
            }
            else
            {
                $url_explode = 0;
            }


            if (count($url_explode) < 2)
            {
                $studentDB->page_url = $request->page_url;
            }
            else
            {
                $new_url             = explode("?", $request->page_url);
                $studentDB->page_url = $new_url[0];
            }

            $studentDB->name       = $request->name;
            $studentDB->email      = $request->email;
            $studentDB->contact_no = $request->contact_number;
            $studentDB->city       = $request->city;

            $studentDB->save();

            $insertedId = $studentDB->id;

            $bccEmails = [];
            $ccEmails  = [];
            //,'alohagujarat2004@gmail.com'
            //$bccEmails = ['bhautiks@bitwiseonline.com']; //,'alohagujarat2004@gmail.com'


            if (isset($request->sub_name) && $request->sub_name != '')
            {
                $mail_subject = 'Franchisee Inquiry from ' . $request->sub_name;
            }
            else
            {
                $mail_subject = '#' . $insertedId . ' Aloha Franchisee Inquiry';
            }

            $studentdata = '
					<h1>' . $mail_subject . '</h1>
					<table>
					<tr>

					</tr>
					<tr>
						<td>Name:</td>
						<td>' . $request->name . '</td>
					</tr>
					<tr>
						<td>Email:</td>
						<td>' . $request->email . '</td>
					</tr>
					<tr>
						<td>Contact number:</td>
						<td>' . $request->contact_number . '</td>
					</tr>
					<tr>
						<td>City:</td>
						<td>' . $request->city . '</td>
					</tr>
					 </table>
					';

            $mail = new \PHPMailer(true);

            $mail->isSMTP();
            $mail->Host       = 'smtp.gmail.com';
            $mail->SMTPSecure = 'tls';
            $mail->SMTPAuth   = true;
            $mail->Port       = 587;
            $mail->Username   = 'alohagujrat2005@gmail.com';
            $mail->Password   = 'fspdfcqpmicrlxgo';

            $mail->AddAddress("alohagujarat2004@gmail.com");
            $mail->AddCC("badal11282@gmail.com");
            $mail->AddCC('smd8583@gmail.com');
            // $mail->AddCC('p.deora@globalvoxinc.com');

            if (isset($request->f_email) && $request->f_email != '')
            {
                $mail->AddCC($request->f_email);
            }
            foreach ($bccEmails as $bccemail)
            {
                $mail->AddBCC($bccemail);
            }

            $mail->SetFrom("alohagujrat2005@gmail.com", "Aloha Gujarat");

            $mail->Subject = $mail_subject;

            $mail->IsHTML(true);
            $mail->Body = $studentdata;

            $mail->Send();
            //return redirect('/thank-you');

            $msg      = 'Your inquiry submitted successfully.';
            $type     = 'success';
            $redirect = '/thank-you';
            $function = '';
            return Aloha::formResponse($type, $msg, $redirect, $function);
        }

        // return Redirect::back();
    }

    public function franchisee123()
    {
        echo "done";
    }

    public function franchisee()
    {

        $citymaster   = new City_Master;
        $allcity      = $citymaster->where('is_deleted', 0)->get();
        $areamaster   = new Area_Master;
        $allarea      = $areamaster->where('is_deleted', 0)->get();
        $franchiseeDB = new FranchiseeUsers;
        $franchisees  = $franchiseeDB->get();
        $franchiseeDB = new FranchiseeUsers;
        $namesadd     = $franchiseeDB->get();
        $name         = array();

        $soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");

        // $api_franchisees_list = $soap_client->get_franchises();
        $api_franchisees_list = FranchiseMaster::get();

        // echo "<pre>";
        // print_r($api_franchisees_list);
        // exit();
        // foreach ($api_franchisees_list as $address) {
        // $data = $address->city;
        // $alladdress = Aloha::latlong($data);
        // array_push($name, $alladdress);
        // }

        return view('franchisee.franchiseeview', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list'));
    }

    public function franchiseeCities()
    {

        $fr_id = Session::get('frid');

        //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");

        $data = $fr_id;

        //$api_franchiseeDetail = $soap_client->fr_details($data);
        // $api_franchiseeDetail =  getFranchiseDetail();
        //print_r($api_franchiseeDetail); exit;

        $citymaster = new City_Master;

        // $allcity = $citymaster->where('is_deleted', 0)->orderBy('name')->get();
        //dd($allcity);
        $areamaster   = new Area_Master;
        $allarea      = $areamaster->where('is_deleted', 0)->get();
        $franchiseeDB = new FranchiseeUsers;
        $franchisees  = $franchiseeDB->get();
        $franchiseeDB = new FranchiseeUsers;
        $namesadd     = $franchiseeDB->get();
        $name         = array();

        //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
        //$api_franchisees_list = $soap_client->get_franchises();

        $api_franchisees_list = FranchiseMaster::get();
        $allcity              = FranchiseDetail::groupBy('franchisee_city')->get();
        // print_r($api_franchisees_list);
        // exit;
        //$result = json_decode($api_franchisees_list, true);
        //       foreach($api_franchisees_list as $list)
        // {
        //     $arrData = array(
        //         'sr_no'        	   => $list->sr_no,
        //         'fr_id'  		   => $list->fr_id,
        //         'franchisee_name'   => $list->franchisee_name,
        //         'center_name'       => $list->center_name,
        //         'city'              => $list->city,
        //         'fr_address'        => $list->fr_address,
        //         'area'              => $list->area,
        //         'center_code' 		=> $list->center_code,
        //         'courses'    		=>$list->courses,
        //     );
        //     DB::table('al_franchisee_master')->insert($arrData);
        // }
        // DB::table('al_franchisee_master')->insert($api_franchisees_list);


        return view('Franchisee.franchiseeCities', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list'));
    }

    public function franchiseeCitiesList($slug)
    {
        $slug_arr = explode("?", $slug);
        $slug     = $slug_arr[0];
        die();
        // $courses = Aloha::getCenterByCourse($slug);
        //dd($courses);
        if ($slug == 'mental-arithmetic-abacus-course-classes')
        {
            $citymaster           = new City_Master;
            $allcity              = $citymaster->where('is_deleted', 0)->get();
            $areamaster           = new Area_Master;
            $allarea              = $areamaster->where('is_deleted', 0)->get();
            $franchiseeDB         = new FranchiseeUsers;
            $franchisees          = $franchiseeDB->get();
            $franchiseeDB         = new FranchiseeUsers;
            $namesadd             = $franchiseeDB->get();
            $name                 = ['Aloha Centers for Abacus Classes (based on Mental Arithmetic)'];
            //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
            //$api_franchisees_list = $soap_client->get_franchises();
            //$api_franchisees_list = FranchiseMaster::get();
            $api_franchisees_list = FranchiseDetail::where('franchisee_courses', 'like', '%' . $courses . '%')->groupBy('franchisee_city')->get()->pluck('franchisee_city');
            //dd($api_franchisees_list);
            return view('Franchisee.courseSpecial', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list', 'name', 'courses'));
        }
        else if ($slug == 'spoken-english-classes-for-kids')
        {
            $citymaster   = new City_Master;
            $allcity      = $citymaster->where('is_deleted', 0)->get();
            $areamaster   = new Area_Master;
            $allarea      = $areamaster->where('is_deleted', 0)->get();
            $franchiseeDB = new FranchiseeUsers;
            $franchisees  = $franchiseeDB->get();
            $franchiseeDB = new FranchiseeUsers;
            $namesadd     = $franchiseeDB->get();
            $name         = ['Aloha centers for English Smart (Spoken English classes for kids)'];

            //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
            //$api_franchisees_list = $soap_client->get_franchises();
            //$api_franchisees_list = FranchiseMaster::get();
            $api_franchisees_list = FranchiseDetail::where('franchisee_courses', 'like', '%' . $courses . '%')->groupBy('franchisee_city')->get()->pluck('franchisee_city');
            return view('Franchisee.courseSpecial', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list', 'name', 'courses'));
        }
        else if ($slug == 'write-smart-handwriting-course-classes')
        {
            $citymaster   = new City_Master;
            $allcity      = $citymaster->where('is_deleted', 0)->get();
            $areamaster   = new Area_Master;
            $allarea      = $areamaster->where('is_deleted', 0)->get();
            $franchiseeDB = new FranchiseeUsers;
            $franchisees  = $franchiseeDB->get();
            $franchiseeDB = new FranchiseeUsers;
            $namesadd     = $franchiseeDB->get();
            $name         = ['Aloha centers'];

            //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
            //$api_franchisees_list = $soap_client->get_franchises();
            //$api_franchisees_list = FranchiseMaster::get();
            $api_franchisees_list = FranchiseDetail::where('franchisee_courses', 'like', '%' . $courses . '%')->groupBy('franchisee_city')->get()->pluck('franchisee_city');
            return view('franchisee.courseSpecial', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list', 'name'));
        }
        else if ($slug == 'speed-maths-vedic-maths-course-classes')
        {
            $citymaster   = new City_Master;
            $allcity      = $citymaster->where('is_deleted', 0)->get();
            $areamaster   = new Area_Master;
            $allarea      = $areamaster->where('is_deleted', 0)->get();
            $franchiseeDB = new FranchiseeUsers;
            $franchisees  = $franchiseeDB->get();
            $franchiseeDB = new FranchiseeUsers;
            $namesadd     = $franchiseeDB->get();
            $name         = ['Aloha centers for Speed Maths (Vedic Maths Classes)'];

            //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
            //$api_franchisees_list = $soap_client->get_franchises();
            //$api_franchisees_list = FranchiseMaster::get();
            $api_franchisees_list = FranchiseDetail::where('franchisee_courses', 'like', '%' . $courses . '%')->groupBy('franchisee_city')->get()->pluck('franchisee_city');

            return view('franchisee.courseSpecial', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list', 'name', 'courses'));
        }
        else if ($slug == 'handwriting-improvement-classes')
        {
            $citymaster   = new City_Master;
            $allcity      = $citymaster->where('is_deleted', 0)->get();
            $areamaster   = new Area_Master;
            $allarea      = $areamaster->where('is_deleted', 0)->get();
            $franchiseeDB = new FranchiseeUsers;
            $franchisees  = $franchiseeDB->get();
            $franchiseeDB = new FranchiseeUsers;
            $namesadd     = $franchiseeDB->get();
            $name         = ['Aloha centers for Write Smart Course (Handwriting improvement classes for kids)'];

            //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
            //$api_franchisees_list = $soap_client->get_franchises();
            //$api_franchisees_list = FranchiseMaster::get();
            $api_franchisees_list = FranchiseDetail::where('franchisee_courses', 'like', '%' . $courses . '%')->groupBy('franchisee_city')->get()->pluck('franchisee_city');
            return view('franchisee.courseSpecial', compact('franchisees', 'allcity', 'allarea', 'api_franchisees_list', 'name', 'courses'));
        }
        else
        {
            //$arr = array();
            // $data['title'] = '404';
            // $data['name'] = 'Page not found';
            // return response()->view('errors.404',$data,404);
            //return view('errors.404',$arr,404);
            //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
            //$api_franchisees_list1 = $soap_client->get_franchises();
            $api_franchisees_list1 = FranchiseMaster::get();

            $api_franchisees_list = array();
            foreach ($api_franchisees_list1 as $list)
            {
                if (str_replace(" ", "-", $list->city) == $slug)
                {
                    $cities = new stdClass;

                    $cities->sr_no           = $list->sr_no;
                    $cities->fr_id           = $list->fr_id;
                    $cities->franchisee_name = $list->franchisee_name;
                    $cities->center_name     = $list->center_name;
                    $cities->city            = $list->city;
                    $cities->fr_address      = $list->fr_address;
                    $cities->area            = $list->area;
                    $cities->center_code     = $list->center_code;

                    array_push($api_franchisees_list, $cities);
                }
            }
            // echo "<pre>";
            // print_r($api_franchisees_list);
            // exit;
            dd($slug);
            $franchiseeDetails           = new FranchiseDetail;
            $api_franchisees_detail_list = $franchiseeDetails->where('franchisee_city', $slug)->get();
            //dd($api_franchisees_detail_list);
            return view('franchisee.franchiseeview', compact('api_franchisees_detail_list'));
        }
    }

    public function franchiseeCourseCitiesList($slug, $slug1)
    {
        //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
        //$api_franchisees_list1 = $soap_client->get_franchises();
        $api_franchisees_list1 = FranchiseMaster::get();
        $api_franchisees_list  = array();

        $courses = Aloha::getCenterByCourse($slug);

        foreach ($api_franchisees_list1 as $list)
        {
            if ((str_replace(" ", "-", $list->city) == $slug1) && (strpos($list->courses, $courses) !== false))
            {
                $cities = new stdClass;

                $cities->sr_no           = $list->sr_no;
                $cities->fr_id           = $list->fr_id;
                $cities->franchisee_name = $list->franchisee_name;
                $cities->center_name     = $list->center_name;
                $cities->city            = $list->city;
                $cities->fr_address      = $list->fr_address;
                $cities->area            = $list->area;
                $cities->center_code     = $list->center_code;

                array_push($api_franchisees_list, $cities);
            }
        }
        $franchisees_list = FranchiseDetail::where('franchisee_courses', 'like', '%' . $courses . '%')->where('franchisee_city', $slug1)->get();
        //dd($franchisees_list);
        //echo"<pre>";print_r($api_franchisees_list); exit();
        return view('Franchisee.franchiseeCourseview', compact('api_franchisees_list', 'franchisees_list'));
    }

    public function demoCitiesList($slug, $slug1)
    {
        $soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");

        //$api_franchisees_list1 = $soap_client->get_franchises();
        $api_franchisees_list1 = FranchiseMaster::get();

        $api_franchisees_list = array();

        $courses = Aloha::getCenterByCourse($slug);
        print_r($courses);

        foreach ($api_franchisees_list1 as $list)
        {
            //echo "<pre>"; print_r($api_franchisees_list1); die;
            if (str_replace(" ", "-", $list->city) == $slug1)
            {
                //print_r(strpos($list->courses, $courses));

                if (strpos($list->courses, $courses) !== false)
                {
                    $cities                  = new stdClass;
                    //print_r(strpos($list->courses, $courses));
                    $cities->sr_no           = $list->sr_no;
                    $cities->fr_id           = $list->fr_id;
                    $cities->franchisee_name = $list->franchisee_name;
                    $cities->center_name     = $list->center_name;
                    $cities->city            = $list->city;
                    $cities->fr_address      = $list->fr_address;
                    $cities->area            = $list->area;
                    $cities->center_code     = $list->center_code;

                    array_push($api_franchisees_list, $cities);
                }
            }
        }
        //echo"<pre>";print_r($api_franchisees_list); exit();
        return view('Franchisee.franchiseeCourseview', compact('api_franchisees_list'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function search(Request $request)
    {
        $query           = $request->q;
        $Franchiseeusers = new Franchiseeusers;

        $Franchisee = $Franchiseeusers
                ->where('f_name', 'like', '%' . $query . '%')->orWhere('f_name', 'LIKE', '%' . preg_replace('/\s+/', '', $query) . '%')
                ->get();
        $html       = '';
        $i          = 0;
        foreach ($Franchisee as $names)
        {
            $i++;

            $html .= ' <li class="list-group-item">
                                <div class="row">
                                    <div class="col-md-3">
                                        ' . $i . '
                                    </div>
                                     <div class="col-md-3">
                                     <a href="/franchisee/' . $names->slug . '">
                                       ' . $names->f_name . '
                                       </a>

                                    </div>

                                    <div class="col-md-3">
                                    <a href="/franchisee/' . $names->slug . '">

                                        ' . $data = Aloha::getCityNameById($names->city) . '
                                        </a>
                                    </div>
                                    <div class="col-md-3">
                                    <a href="/franchisee/' . $names->slug . '">
                                        ' . $names->address . '
                                        </a>
                                    </div>

                                </div>
                            </li>';
        }

        return $html;
    }

    public function create()
    {

        $countryDB    = new Country_Master;
        $allcountries = $countryDB->where('is_deleted', 0)->get();

        $coursesDB = new Courses;
        $courses   = $coursesDB->where('status', 1)->get();

        return view('admin.franchisee.create', compact('allcountries', 'courses'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $validator = Validator::make($request->all(), [
                    'f_name'                => 'required',
                    'promoters'             => 'required',
                    'promoters_description' => 'required',
                    'courses'               => 'required',
                    'city'                  => 'required',
                    'address'               => 'required',
                    'c_no1'                 => 'required',
                    'c_no2'                 => 'required',
                    'c_no3'                 => 'required',
                    'email'                 => 'required',
                    'c_timing'              => 'required',
                    'c_person'              => 'required',
                    'country'               => 'required',
                    'state'                 => 'required',
                    'test'                  => 'required',
                    'f_username'            => 'required',
                    'f_password'            => 'required',
                    'l_link'                => 'required',
        ]);
        if ($validator->fails())
        {
            return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
            $loginDB           = new User;
            $role              = 2;
            $pass              = $request->f_password;
            $password          = bcrypt($pass);
            $loginDB->email    = $request->f_username;
            $loginDB->password = $password;
            $loginDB->l_link   = $request->l_link;
            $loginDB->role     = $role;
            $loginDB->save();
            $id                = $loginDB->id;

            $courseDB  = new Franchiseeusers;
            $name      = $request->f_name;
            $slug      = Aloha::slugify($name);
            $slugAvail = $courseDB->where('slug', $slug)->count();
            if ($slugAvail > 0)
            {
                $slugCount = 1;
                while ($courseDB->where('slug', $slug)->count() > 0)
                {
                    $slug = $slug . "-" . $slugCount;
                    $slugCount++;
                }
            }

            $courseDB->slug      = $slug;
            $courseDB->f_name    = $request->f_name;
            $courseDB->promoters = $request->promoters;
            $courseDB->promoters = $request->promoters_description;
            $courseDB->city      = $request->city;
            $courses             = implode(',', $request->courses);
            $courseDB->courses   = $courses;
            $courseDB->address   = $request->address;
            $courseDB->c_no1     = $request->c_no1;
            $courseDB->c_no2     = $request->c_no2;
            $courseDB->c_no3     = $request->c_no3;
            $courseDB->email     = $request->email;
            $courseDB->c_timing  = $request->c_timing;
            $courseDB->c_person  = $request->c_person;
            $courseDB->country   = $request->country;
            $courseDB->area      = $request->area;
            $courseDB->state     = $request->state;
            $courseDB->f_id      = $id;

            $courseDB->save();

            return Redirect::to('admin/franchisee');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $countryDB    = new Country_Master;
        $allcountries = $countryDB->where('is_deleted', 0)->get();
        $franchisee   = Franchiseeusers::findOrFail($id);

        $coursesDB = new Courses;
        $courses   = $coursesDB->where('status', 1)->get();

        return view('admin.franchisee.edit', compact('franchisee', 'allcountries', 'courses'));
    }

    //  public function franchisee()
    // {
    //     $citymaster = new City_Master;
    //     $allcity = $citymaster->where('is_deleted',0)->get();
    //     $areamaster = new Area_Master;
    //     $allarea = $areamaster->where('is_deleted',0)->get();
    //     $franchiseeDB = new FranchiseeUsers;
    //     $franchisees = $franchiseeDB->get();
    //     $franchiseeDB = new FranchiseeUsers;
    //     $namesadd = $franchiseeDB->get();
    //     $name = array();
    //     foreach($namesadd as $address){
    //         $data = $address->address;
    //     $alladdress = Aloha::latlong($data);
    //     array_push($name,$alladdress);
    //     }
    //     return view('franchisee.franchiseeview',compact('franchisees','name','allcity','allarea'));
    // }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
                    'f_name'                => 'required',
                    'promoters'             => 'required',
                    'promoters_description' => 'required',
                    'courses'               => 'required',
                    'city'                  => 'required',
                    'address'               => 'required',
                    'c_no1'                 => 'required',
                    'c_no2'                 => 'required',
                    'c_no3'                 => 'required',
                    'email'                 => 'required',
                    'c_timing'              => 'required',
                    'c_person'              => 'required',
                    'country'               => 'required',
                    'state'                 => 'required',
                    'area'                  => 'required',
        ]);
        if ($validator->fails())
        {
            return Redirect::back()->withInput()->withErrors($validator);
        }
        else
        {
            $name      = $request->f_name;
            $courseDB  = Franchiseeusers::findOrFail($id);
            $slug      = Aloha::slugify($name);
            $slugAvail = $courseDB->where('slug', $slug)->count();
            if ($slugAvail > 0)
            {
                $slugCount = 1;
                while ($courseDB->where('slug', $slug)->count() > 0)
                {
                    $slug = $slug . "-" . $slugCount;
                    $slugCount++;
                }
            }
            $courseDB->slug                  = $slug;
            $courseDB->f_name                = $request->f_name;
            $courseDB->promoters             = $request->promoters;
            $courseDB->promoters_description = $request->promoters_description;
            $courses                         = implode(',', $request->courses);
            $courseDB->courses               = $courses;
            $courseDB->city                  = $request->city;
            $courseDB->address               = $request->address;
            $courseDB->c_no1                 = $request->c_no1;
            $courseDB->c_no2                 = $request->c_no2;
            $courseDB->c_no3                 = $request->c_no3;
            $courseDB->email                 = $request->email;
            $courseDB->c_timing              = $request->c_timing;
            $courseDB->c_person              = $request->c_person;
            $courseDB->country               = $request->country;
            $courseDB->area                  = $request->area;
            $courseDB->state                 = $request->state;
            $courseDB->save();
            return Redirect::to('admin/franchisee');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Franchiseeusers::destroy($id);
        return redirect('admin/franchisee');
    }

    public function login()
    {
        return view('Login.Login');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function franchiseeloginpost(Request $data)
    {
        $user      = new FranchiseeUsers;
        $userCount = $user->where('c_no1', $data->mno)->count();
        if ($userCount == 0)
        {
            $message = array(
                'status'  => 0,
                'message' => '<div class="alert alert-danger alert-dismissible fade in" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button><p>Please check email.</p></div>'
            );
            return json_encode($message);
        }

        $userData = $user->where('c_no1', $data->mno)->first();

        if (count($userData) > 0)
        {
            //echo $name = $userData->name;
            $pass = $userData->password;
            if (Hash::check($data->password, $pass))
            {
                $credentials = [
                    'c_no1'    => $data->mno,
                    'password' => $data->password,
                ];
                if (Auth::attempt($credentials) == true)
                {

                    $success       = '<small>Successfully login</small>';
                    $allSuccess    = '<div class="alert alert-success alert-dismissible fade in" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>' . $success . '</div>';
                    $redirect      = 1;
                    $url           = '/franchisee/home';
                    $success_array = array(
                        'type'     => 'success',
                        'text'     => $allSuccess,
                        'redirect' => $redirect,
                        'url'      => $url
                    );
                    return json_encode($success_array);
                }
            }
            else
            {
                $error       = '<small>Invalid Password</small>';
                $allErrors   = '<div class="alert alert-danger alert-dismissible fade in" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>' . $error . '</div>';
                $error_array = array(
                    'type' => 'error',
                    'text' => $allErrors
                );
                return json_encode($error_array);
            }
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function franchiseelogout()
    {
        Auth::logout();
        return redirect()->guest('/');
    }

    // public function franchiseeview($slug)
    // {
    //     $franchiseeDB = new FranchiseeUsers;
    //     $franchisees = $franchiseeDB->where('slug', $slug)->first();
    //     $names = $franchiseeDB->where('slug', $slug)->first()->address;
    //     $namesadd = $franchiseeDB->where('slug', $slug)->first()->address;
    //     $alladd = urlencode($namesadd);
    //     $name = array();
    //     $address = $alladd;
    //     $url = "http://maps.google.com/maps/api/geocode/json?address=$address&sensor=false&region=India";
    //     $ch = curl_init();
    //     curl_setopt($ch, CURLOPT_URL, $url);
    //     curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    //     curl_setopt($ch, CURLOPT_PROXYPORT, 3128);
    //     curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
    //     curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
    //     $response = curl_exec($ch);
    //     curl_close($ch);
    //     $response_a = json_decode($response);
    //     $lat = $response_a->results[0]->geometry->location->lat;
    //     $long = $response_a->results[0]->geometry->location->lng;
    //     $latlong = array($lat, $long, $namesadd);
    //     array_push($name, $latlong);
    //     return view('franchisee.franchiseeview', compact('franchisees', 'name'));
    // }


    public function getStatesByCountry($country)
    {


        $stateDB   = new State_Master;
        $citiesall = $stateDB->where('country_id', $country)->where('status', 0)->where('is_deleted', 0)->get();

        $html = '';
        $html = '<label>Select State</label><select class="form-control statecity" id="city-dropdown" name="state"><option value="">Select State</option>';
        $i    = 0;
        foreach ($citiesall as $names)
        {
            $i++;
            $html .= '<option value="' . $names->id . '">' . $names->name . '</option>';
        }
        $html .= '</select>';
        return $html;
    }

    public function getcityBystate($statecity)
    {


        $stateDB   = new City_Master;
        $citiesall = $stateDB->where('state_id', $statecity)->where('status', 0)->where('is_deleted', 0)->get();

        $html = '';
        $html = '<label>Select City</label><select class="form-control cityarea" id="city-dropdown" name="city"><option value="">Select City</option>';
        $i    = 0;
        foreach ($citiesall as $names)
        {
            $i++;
            $html .= '<option value="' . $names->id . '">' . $names->name . '</option>';
        }
        $html .= '</select>';
        return $html;
    }

    public function getareaBycity($cityarea)
    {


        $stateDB = new Area_Master;

        $citiesall = $stateDB->where('city_id', $cityarea)->where('status', 0)->where('is_deleted', 0)->get();

        $html = '';
        $html = '<label>Select Area</label><select class="form-control" id="city-dropdown" name="area"><option value="">Select Area</option>';
        $i    = 0;
        foreach ($citiesall as $names)
        {
            $i++;
            $html .= '<option value="' . $names->id . '">' . $names->name . '</option>';
        }
        $html .= '</select>';
        return $html;
    }

//    public function getstateBycourse($course){
//        $api_franchisees_list = FranchiseDetail::where('franchisee_courses','like', '%'.$courses.'%')->groupBy('franchisee_city')->get()->pluck('franchisee_city');
//        echo "<re/>";
//        print_r($api_franchisees_list);
//        exit;
//    }


    public function franchiseeDetails($slug, Request $request)
    {
//$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
        // $api_franchisees_list = $soap_client->get_franchises();
        $api_franchisees_list = FranchiseMaster::get();

        $fr_id          = '';
        $promoters_name = '';

        foreach ($api_franchisees_list as $item)
        {
            $center_name     = $item->area;
            $city_name       = $item->city;
            $franchisee_name = $item->franchisee_name;

            $newslug = explode("-", $slug);
            if (is_numeric(end($newslug)) && $newslug[0] != 'gandhinagar')
            {
                $slug_center_name = Aloha::slugify($city_name . " " . $center_name . " " . $item->fr_id);
            }
            else
            {
                $slug_center_name = Aloha::slugify($city_name . " " . $center_name);
            }

            // $slug_center_name = Aloha::slugify($city_name." ".$center_name);
            //$slug_center_name = Aloha::slugify($city_name." ".$center_name." ".$franchisee_name);

            if ($slug_center_name == $slug)
            {
                $fr_id = $item->fr_id;

                $promoters_name = $item->franchisee_name;
            }
        }

        //$soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");
        $data = $fr_id;
        //$api_franchiseeDetail = $soap_client->fr_details($data);
        // $api_franchiseeDetail  = FranchiseDetail::where('id',$data)->get();
        //$api_franchiseeDetail = Aloha::getFranchiseDetail($data);
        //  print_r($a)
        //$api_franchisees_list = FranchiseDetail::get($data);
        // echo "<pre>";
        // print_r($api_franchiseeDetail); exit();
        // echo "</pre>";
        /* $slugy = new FranchiseeUsers;
          $slugid = $slugy->where('slug',$slug)->first(); */

        $splitSlug = explode('-', $slug);
        //dd(ucwords($splitSlug[0]));
        // print_r($slug);

        $franchiseeDetailDB = new FranchiseDetail;
        $franchisee         = null;
        if ($slug == "vadodara-vasna-bhayli-road")
        {
            $franchisee = $franchiseeDetailDB->where("franchisee_area", "Vasna - bhayli road")->first();
        }
        elseif ($slug == "vapi-vapi-daman-road")
        {
            $franchisee = $franchiseeDetailDB->where("franchisee_area", "Vapi  - Daman Road.")->first();
        }
        elseif ($slug == "vapi-vapi-gunjan")
        {
            $franchisee = $franchiseeDetailDB->where("franchisee_area", "VAPI - GUNJAN ")->first();
        }
        else
        {
            $franchisee = $franchiseeDetailDB->where(DB::raw("CONCAT(REPLACE(lower(franchisee_city), ' ', '-'),'-',REPLACE(lower(franchisee_area), ' ', '-'))"), $slug)->first();
        }
        // $franchisee = $franchiseeDetailDB->all();
        //$franchisee = $franchiseeDetailDB->where('franchisee_city', ucwords($splitSlug[0]))->where('franchisee_area', ucwords($splitSlug[1]))->first();
        // echo "<pre/>";
        // print_r($franchisee);
        // exit();
        // dd($franchisee);
        $fr_id                = $franchisee->fr_id;
        // $fr_id = 332;
        // echo "<pre/>";
        // print_r($franchisee);
        // die();
        $api_franchiseeDetail = $franchisee;

        $dataid = $fr_id;

        $newsandupdatesDB = new Newsandupdates;
        $news             = $newsandupdatesDB->where('frid', $fr_id)->where('status', 1)->orderby('date', 'DESC')->get();

        $PromoterDB = new Promoter;
        $promoters  = $PromoterDB->where('fr_id', $dataid)->where('status', 1)->first();

        $SocialDB = new Social_Media;
        $social   = false;
        if ($SocialDB->where('frid', $fr_id)->where('status', 1)->count() > 0)
        {
            $social = $SocialDB->where('frid', $fr_id)->where('status', 1)->first();
        }

        $achievementDB = new Achievements;
        $achievements  = $achievementDB->where('frid', $fr_id)->where('status', 1)->orderby('date', 'DESC')->get();

        $categoryDB  = new Imagecategorymaster;
        $allcategory = $categoryDB->get();
        $imagesDB    = new Franchisee_Images;
        $allimages   = $imagesDB->where('frid', $dataid)->where('status', 1)->get();

        // echo "<pre/>";
        // print_r($allimages);
        // die();

        $access_token = false;
        if (IntegrateInstagram::where('fr_id', $dataid)->count() > 0)
        {
            $instagram_token = IntegrateInstagram::where('fr_id', $dataid)->first();
            $access_token    = $instagram_token->a_token;
        }

        $newsUpdatesDB = new FranchiseNewsUpdates;
        $newsupdates   = $newsUpdatesDB->orderby('id', 'desc')->get();

        return view('franchisee.franchiseeDetails', compact('promoters_name', 'news', 'achievements', 'allcategory', 'allimages', 'api_franchiseeDetail', 'social', 'promoters', 'access_token', 'newsupdates'));
    }

    public function locationmap($city)
    {
        $zoom = 8;

        $franchiseeDB = new FranchiseeUsers;
        if ($franchiseeDB->where('city', $city)->count() > 0)
        {
            $namesadd = $franchiseeDB->where('city', $city)->get();
            $zoom     = 10;
        }
        else
        {
            $namesadd = $franchiseeDB->get();
        }

        $name = array();
        foreach ($namesadd as $address)
        {
            $data       = $address->address;
            $alladdress = Aloha::latlong($data);
            array_push($name, $alladdress);
        }


        return view('Franchisee.map', compact('name', 'zoom', 'cityname'));
    }

    public function getarea($cityarea)
    {


        $stateDB   = new Area_Master;
        $citiesall = $stateDB->where('city_id', $cityarea)->where('status', 0)->where('is_deleted', 0)->get();

        $html = '';

        foreach ($citiesall as $cities)
        {
            $html .= '<li><a class="area-filter" href="#" city-id="/area/' . $cities->id . '/">' . $cities->name . '</a></li>';
        }
        return $html;
    }

    public function frontgetarea($cityarea)
    {


        $stateDB   = new Area_Master;
        $citiesall = $stateDB->where('city_id', $cityarea)->where('status', 0)->where('is_deleted', 0)->get();

        $html = '';

        $html .= '<option>Select Area</option>';

        foreach ($citiesall as $cities)
        {
            $html .= '<option value="' . $cities->id . '"  city-id="/location-map/' . $cities->id . '/">' . $cities->name . '</option>';
        }

        return $html;
    }

    public function frontpostbyarea($formId)
    {
        // return Redirect::to('');
        $franchiseeData = new FranchiseeUsers;
        $allfranchisee  = $franchiseeData->where('area', $formId)->get();

        $fdetail = '';

        foreach ($allfranchisee as $data)
        {
            $fdetail .= '<div class="col-md-1"><input type="checkbox" name="dataid[]" value="' . $data->f_name . '"></div>

                            <div class="col-md-5"><p>' . $data->f_name . '</p>
                            </div>
                            <div class="col-md-6 all-address-left"><p>' . $data->address . '</p></div>
                        </div>';
        }
        return $fdetail;
    }

    public function franchiseeApiTest($id)
    {
        $soap_client = new SoapClient("http://admin-cp.alohagujarat.com/app/front_api.php?wsdl");

        $api_franchisees_list1 = $soap_client->fr_details($id);
        $api_franchisees_list  = array();

        echo "<pre>";
        print_r($api_franchisees_list1);
    }
}
