<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;
use App\Models\StudentInquiry;
use App\Models\State_Master;
use App\Models\City_Master;
use App\Models\Area_Master;
use App\Models\Address_Master;
use Illuminate\Support\Facades\URL;
use App\Models\FranchiseInquiry;
use App\Models\FranchiseDetails;
use App\Models\Newsletter;
use App\Models\WorkForUs;
use Session;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class InquiryController extends Controller
{

    function __construct()
    {
        define('ZOHO_CLIENT_ID', '1000.GHNJXG1BTON6H3A36PUZFHYNCVBGHR'); // Replace with your client ID
        define('ZOHO_CLIENT_SECRET', '94d867a5d3ee0fffbb9fdfd2839dc3e7ec833b2c63'); // Replace with your client secret
        define('ZOHO_REFRESH_TOKEN', '1000.8328dde0318e0509fc152382516cd78c.e81ca737177bf6b774bed65f2a3e96c0'); // Replace with your refresh token
        define('ZOHO_API_URL', 'https://www.zohoapis.com/crm/v2/Leads'); // Endpoint for Leads module
        define('ZOHO_AUTH_CODE', '1000.2005989328e43c0d78fc707fa345b6c2.83106c634dbd1d88cd0f0ca87eb9c8e0'); // Endpoint for Leads module
    }

    // student inquery index
    function sutudentInqueryIndex()
    {
        $states = State_Master::where('is_deleted', 0)->orderBy("name")->get();
        $citys  = City_Master::where('is_deleted', 0)->orderBy("name")->get();
        $areas  = Area_Master::where('is_deleted', 0)->orderBy("name")->get();
        return view('student-inquiry-form', compact('states', 'citys', 'areas'));
    }

    // franchise inquery
    function contactInqueryIndex()
    {
        $states = State_Master::where('is_deleted', 0)->orderBy("name")->get();
        $citys  = City_Master::where('is_deleted', 0)->orderBy("name")->get();
        $areas  = Area_Master::where('is_deleted', 0)->orderBy("name")->get();
        return view('contact', compact('states', 'citys', 'areas'));
    }

    // get state to dropdown from ByCourseName
    public function getStateByCourse(Request $request)
    {
//        echo "<pre>".$request->course;
//        exit;
//        print_r($stateId);
        //$stateId = FranchiseDetails::where('deleted_at', NULL)->where('course',$request->course)->groupBy("state")->pluck('state');
        //$states = State_Master::where('is_deleted',0)->whereIn('id',$stateId)->orderBy("name")->get();
        $states = DB::table('state_master')->where('id', 2)->orderBy("name")->get();
        return response(['states' => $states]);
    }

    // get area to dropdown from ByCourseName
    public function getareaByCourse(Request $request)
    {
        //$centerAreaId = FranchiseDetails::where('deleted_at', NULL)->where('city',$request->city)->where('course',$request->course)->pluck('center_name');
        $centerAreaId = FranchiseDetails::where('deleted_at', NULL)->where('city', $request->city)->pluck('center_name');
//        echo $centerAreaId;
        // $area = Area_Master::where('is_deleted',0)->whereIn('id',$centerAreaId)->orderBy("name")->get(['name','id']);
        //$area         = Area_Master::where('is_deleted', 0)->where('city_id', $request->city)->orderBy("name")->get(['name', 'id']);
        $area         = DB::table('areas')->where('is_deleted', 0)->where('city_id', $request->city)->orderBy("name")->groupBy('name')->get(['name', 'id']);
        return response(['area' => $area]);
    }

    // get city to dropdown from ByCourseName
    public function getCityByCourse(Request $request)
    {
        //$cityId = FranchiseDetails::where('deleted_at', NULL)->where('state',$request->state)->where('course',$request->course)->groupBy("city")->pluck('city');
        //$cityId = FranchiseDetails::where('deleted_at', NULL)->where('state', $request->state)->groupBy("city")->pluck('city');
        //$citys = City_Master::where('is_deleted', 0)->where('state_id', $request->state)->orderBy("name")->get();
        $citys = DB::table('cities')->where('is_deleted', 0)->where('state_id', $request->state)->orderBy("name")->get();
        return response(['city' => $citys]);
    }

    // get city to dropdown from state
    public function get_city(Request $request)
    {
        $citys = City_Master::where('is_deleted', 0)->where('state_id', $request->stateId)->orderBy("name")->get();
        return response(['city' => $citys]);
    }

    // get area from city
    public function get_area(Request $request)
    {
        $areas = Area_Master::where('is_deleted', 0)->where('city_id', $request->cityId)->orderBy("name")->get();
        return response(['area' => $areas]);
    }

    // get area from city
    public function get_address(Request $request)
    {
        $address = Address_Master::where('is_deleted', 0)->where('area_id', $request->areaId)->orderBy("name")->get();
        return response(['address' => $address]);
    }

    // submit student inquery
    function student(Request $request)
    {

        $state = State_Master::where('id', $request->state)->orderBy("name")->first();
        //$city  = City_Master::where('id', $request->city)->orderBy("name")->first();
        //$area  = Area_Master::where('id', $request->area)->orderBy("name")->first();
        $area  = DB::table('areas')->where('id', $request->area)->first();
        $city  = DB::table('cities')->where('id', $request->city)->first();

        if (isset($_POST['g-recaptcha-response']))
        {
            $captcha = $_POST['g-recaptcha-response'];
        }
        else
        {
            $captcha = "";
        }
        if (!$captcha)
        {
            return redirect()->back()->with('message', 'Please check the captcha form!');
        }

        $secret = "6LfLfVkUAAAAAHMzOMqsEyiMX4gpNSD9kl9N4ncy";
        $ip     = $_SERVER['REMOTE_ADDR'];

        $response     = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
        $responseKeys = json_decode($response, true);

        if (intval($responseKeys["success"]) !== 1)
        {
            Session::flash('message', 'Invalid Captcha!');
            Session::flash('alert-class', 'alert-danger');

            return redirect()->back()->with('message', 'Invalid Captcha!');
        }
        else
        {
            $data = [
                'name'    => $request->Studentname,
                'parents' => $request->FatherName,
                'number'  => $request->number,
                'email'   => $request->email,
                'area'    => $area->name,
                'city'    => $city->name,
                'state'   => $state->name,
                'course'  => $request->course,
                'remarks' => $request->remarks,
            ];
            echo "<pre>";

            $dataCopy = $data;
            unset($data['course']);
//            print_r($data);
//            print_r($dataCopy);
//            exit;
            StudentInquiry::create($data);
            try
            {
                Mail::send('email.student-inquiry', ['data' => $dataCopy], function ($message) use ($dataCopy)
                {
                    $message->setFrom('admin@brainy.co.in', 'Brainy');
                    $message->to('info@brainchildlearning.in');
                    // $message->cc('shailesh@brainchildlearning.in');
                    $message->cc('md@brainchildlearning.in');
                    // $message->cc('deorapraveen@gmail.com');
                    // $message->cc('p.deora@globalvoxinc.com');

                    $message->subject('Student Inquiry');
                });
            }
            catch (\Exception $e)
            {
                return redirect('thankyou');
            }

            return redirect('thankyou');
        }
    }

    function getAccessToken()
    {
        $crm_config = array(
            'client_id'      => ZOHO_CLIENT_ID,
            'client_secret'  => ZOHO_CLIENT_SECRET,
            'refresh_token'  => ZOHO_REFRESH_TOKEN,
            'grant_type'     => 'refresh_token',
            'api_url'        => 'https://www.zohoapis.com/crm/v2/',
            'account_domain' => 'https://accounts.zoho.com/',
        );

        $zoho_crm_session = isset($_SESSION['zoho_crm']) ? $_SESSION['zoho_crm'] : [];

        $current_time = date('Y-m-d H:i:s');
        if (isset($zoho_crm_session->access_token) && ($current_time < $zoho_crm_session->expiring_at))
        {
            return $_SESSION['zoho_crm'];
        }
        else
        {
            $token_url = 'https://accounts.zoho.com/oauth/v2/token';
            $postData  = [
                'client_id'     => $crm_config['client_id'],
                'client_secret' => $crm_config['client_secret'],
                'refresh_token' => $crm_config['refresh_token'],
                'grant_type'    => $crm_config['grant_type']
            ];
            $ch        = curl_init(); // Create a curl handle
            curl_setopt($ch, CURLOPT_URL, $token_url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postData));

            $response = curl_exec($ch);
            $response = json_decode($response);
            //var_dump($response);
            if (isset($response->access_token))
            {
                $now                   = time();
                $ten_minutes           = $now + (20 * 60);
                $startDate             = date('Y-m-d H:i:s', $now);
                $endDate               = date('Y-m-d H:i:s', $ten_minutes);
                $current_time          = date('Y-m-d H:i:s');
                $response->expiring_at = $endDate;
                $_SESSION['zoho_crm']  = $response;

                return $response;
            }
            else
            {
                return false;
            }
        }
    }

    function submitToZoho($request)
    {

        $data = [
            'name'                   => $request->first_name,
            'surname'                => $request->surname,
            'occupation'             => $request->current_occupation,
            'age'                    => $request->age,
            'number'                 => $request->number,
            'whatsapp_number'        => $request->whatsapp_number,
            'preferred_time_to_call' => $request->preferred_time_to_call,
            'email'                  => $request->email,
            'state'                  => $request->country,
            'city'                   => $request->state,
            'describe_yourself'      => $request->describe_yourself,
            'course_interested'      => $request->optradio1,
            'interested_in_starting' => $request->optradio2,
            'space_available'        => $request->optradio3,
            //old fields set to null
            'like_to_know'           => NULL,
            'message'                => NULL,
        ];

        $accessToken = $this->getAccessToken();
        if (isset($accessToken->access_token))
        {
            $data = [
                'data'    => [
                    [
                        'Last_Name'                              => $request->first_name . ' ' . $request->surname,
                        'Email'                                  => $request->email,
                        'Phone'                                  => $request->number,
                        'City'                                   => $request->state,
                        'Age'                                    => $request->age,
                        'Description'                            => $request->describe_yourself,
                        'WhatsApp_Number'                        => $request->whatsapp_number,
                        'Preferred_Time_to_call'                 => $request->preferred_time_to_call,
                        'Designation'                            => $request->current_occupation,
                        'Course_Interested_in'                   => $request->optradio1,
                        'Do_You_Have_your_own_Premises_to_Start' => $request->optradio3,
                        'Type_of_Franchise_Interested_in'        => $request->optradio2,
                        'Layout'                                 => [
                            'id' => '6355436000001299001'
                        ]
                    ]
                ],
                'trigger' => [
                    'approval',
                    'workflow',
                    'blueprint'
                ]
            ];

            // cURL request to Zoho CRM API
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL, ZOHO_API_URL);
            curl_setopt($ch, CURLOPT_POST, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Authorization: Zoho-oauthtoken ' . $accessToken->access_token,
                'Content-Type: application/json'
            ]);
            curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            $response = curl_exec($ch);
            $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            curl_close($ch);

            // Handle the response
            if ($httpCode === 201)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
    }

    function franchise(Request $request)
    {


        if (isset($_POST['g-recaptcha-response']))
        {
            $captcha = $_POST['g-recaptcha-response'];
        }
        if (!$captcha)
        {
            return redirect()->back()->with('message', 'Please check the captcha form!');
        }

        $secret = "6LfLfVkUAAAAAHMzOMqsEyiMX4gpNSD9kl9N4ncy";
        $ip     = $_SERVER['REMOTE_ADDR'];

        $response     = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
        $responseKeys = json_decode($response, true);

        if (intval($responseKeys["success"]) !== 1)
        {
            Session::flash('message', 'Invalid Captcha!');
            Session::flash('alert-class', 'alert-danger');

            return redirect()->back()->with('message', 'Invalid Captcha!');
        }
        else
        {
            $data = [
                'name'                   => $request->first_name,
                'surname'                => $request->surname,
                'occupation'             => $request->current_occupation,
                'age'                    => $request->age,
                'number'                 => $request->number,
                'whatsapp_number'        => $request->whatsapp_number,
                'preferred_time_to_call' => $request->preferred_time_to_call,
                'email'                  => $request->email,
                'state'                  => $request->country,
                'city'                   => $request->state,
                'describe_yourself'      => $request->describe_yourself,
                'course_interested'      => $request->optradio1,
                'interested_in_starting' => $request->optradio2,
                'space_available'        => $request->optradio3,
                //old fields set to null
                'like_to_know'           => NULL,
                'message'                => NULL,
            ];
            FranchiseInquiry::create($data);

            $this->submitToZoho($request);
            try
            {
                Mail::send('email.franchise-inquiry-new', ['data' => $data], function ($message) use ($data)
                {
                    $message->setFrom('admin@brainy.co.in', 'Brainy');
                    $message->to('info@brainchildlearning.in');
                    // $message->cc('shailesh@brainchildlearning.in');
                    $message->cc('md@brainchildlearning.in');
                    // $message->cc('deorapraveen@gmail.com');
                    // $message->cc('p.deora@globalvoxinc.com');



                    $message->subject('Franchise Inquiry');
                    //                $message->setFrom('admin@brainy.co.in', 'Brainy');
                    //                $message->to('p.deora@globalvoxinc.com');
                    //                $message->cc('shailesh@brainchildlearning.in');
                    //                $message->cc('a.kapasi@globalvoxinc.com');
                    //                $message->subject('Franchise Inquiry');
                });
            }
            catch (\Exception $e)
            {
                return redirect('thankyou');
            }
            return redirect('thankyou');
        }
    }

//     OLD funct_ion
    function franchiseOld(Request $request)
    {
        if (isset($_POST['g-recaptcha-response']))
        {
            $captcha = $_POST['g-recaptcha-response'];
        }
        if (!$captcha)
        {
            return redirect()->back()->with('message', 'Please check the captcha form!');
        }

        $secret = "6LfLfVkUAAAAAHMzOMqsEyiMX4gpNSD9kl9N4ncy";
        $ip     = $_SERVER['REMOTE_ADDR'];

        $response     = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
        $responseKeys = json_decode($response, true);

        if (intval($responseKeys["success"]) !== 1)
        {
            Session::flash('message', 'Invalid Captcha!');
            Session::flash('alert-class', 'alert-danger');

            return redirect()->back()->with('message', 'Invalid Captcha!');
        }
        else
        {
            $data = [
                'name'                   => $request->Name,
                'occupation'             => $request->CurrentOccupation,
                'email'                  => $request->email,
                'number'                 => $request->number,
                'state'                  => $request->country,
                'city'                   => $request->state,
                'like_to_know'           => implode(',', $request->checkbox),
                'space_available'        => $request->optradio1,
                'interested_in_starting' => $request->optradio,
                'message'                => $request->remarks,
            ];
            FranchiseInquiry::create($data);
            try
            {
                Mail::send('email.franchise-inquiry', ['data' => $data], function ($message) use ($data)
                {
                    $message->setFrom('admin@brainy.co.in', 'Brainy');
                    $message->to('info@brainchildlearning.in');
                    // $message->cc('shailesh@brainchildlearning.in');
                    $message->cc('md@brainchildlearning.in');

                    $message->subject('Franchise Inquiry');
                });
            }
            catch (\Exception $e)
            {
                return redirect('thankyou');
            }

            return redirect('thankyou');
        }
    }

    public function subscribeNewsLetter(Request $request)
    {
        if (isset($_POST['g-recaptcha-response']))
        {
            $captcha = $_POST['g-recaptcha-response'];
        }
        if (!$captcha)
        {
            $response            = array();
            $response['success'] = false;
            $response['message'] = "Please check the captcha form!";
            $response['url']     = "";
            echo json_encode($response, 422);
            die;
        }
        $secret       = "6LfLfVkUAAAAAHMzOMqsEyiMX4gpNSD9kl9N4ncy";
        $ip           = $_SERVER['REMOTE_ADDR'];
        $response     = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
        $responseKeys = json_decode($response, true);
        if (intval($responseKeys["success"]) !== 1)
        {
            $response            = array();
            $response['success'] = false;
            $response['message'] = "Invalid Captcha.";
            $response['url']     = "";
            echo json_encode($response, 422);
            die;
        }
        else
        {
            $data = [
                'name'  => $request->name,
                'email' => $request->email,
            ];
            Newsletter::create($data);
            try
            {
                Mail::send('email.subscribe-news', ['data' => $data], function ($message) use ($data)
                {
                    $message->setFrom('admin@brainy.co.in', 'Brainy');
                    $message->to('info@brainchildlearning.in');
                    $message->cc('shailesh@brainchildlearning.in');

                    $message->subject('Subscribe');
                });
            }
            catch (\Exception $e)
            {
                $response            = array();
                $response['success'] = true;
                $response['message'] = "We will email you the updates, news and upcoming events.";
                $response['url']     = URL::to('/') . "/thankyou";
                echo json_encode($response, 200);
                die;
            }
            $response            = array();
            $response['success'] = true;
            $response['message'] = "We will email you the updates, news and upcoming events.";
            $response['url']     = URL::to('/') . "/thankyou";
            echo json_encode($response, 200);
            die;
        }
    }

    // work for us
    function contact(Request $request)
    {
        if (isset($_POST['g-recaptcha-response']))
        {
            $captcha = $_POST['g-recaptcha-response'];
        }
        if (!$captcha)
        {
            return redirect()->back()->with('message', 'Please check the captcha form!');
        }

        $secret = "6LfLfVkUAAAAAHMzOMqsEyiMX4gpNSD9kl9N4ncy";
        $ip     = $_SERVER['REMOTE_ADDR'];

        $response     = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=' . $secret . '&response=' . $_POST['g-recaptcha-response']);
        $responseKeys = json_decode($response, true);

        if (intval($responseKeys["success"]) !== 1)
        {
            Session::flash('message', 'Invalid Captcha!');
            Session::flash('alert-class', 'alert-danger');

            return redirect()->back()->with('message', 'Invalid Captcha!');
        }
        else
        {
            $data = [
                'name'    => $request->username,
                'email'   => $request->email,
                'subject' => $request->subject,
                'number'  => $request->number,
                'message' => $request->message,
            ];
            try
            {
                Mail::send('email.contact-us', ['data' => $data], function ($message) use ($data)
                {
                    $message->setFrom('admin@brainy.co.in', 'Brainy');
                    $message->to('info@brainchildlearning.in');
                    // $message->cc('shailesh@brainchildlearning.in');
                    $message->cc('md@brainchildlearning.in');

                    $message->subject('Work for Us');
                });
            }
            catch (\Exception $e)
            {
                WorkForUs::create($data);
                return redirect('thankyou');
            }
            WorkForUs::create($data);
            return redirect('thankyou');
        }   // end of else
    }

    public function getTableColumns()
    {
        return DB::getSchemaBuilder()->getColumnListing('franchise_inquiries');
//        return Schema::getColumnListing($table);
    }

//FUNCTION BY KRISHNA RATHOD

    public function brochureInquiry(Request $request)
    {

        $data = [
            'name'    => $request->name,
            'email'   => $request->email,
            'phone'   => $request->phone,
            'country' => $request->country,
        ];
        try
        {
            Mail::send('email.brochure-inquiry', ['data' => $data], function ($message) use ($data)
            {
                $message->setFrom('admin@brainy.co.in', 'Brainy');
                $message->to('info@brainchildlearning.in');
                // $message->cc('shailesh@brainchildlearning.in');
                $message->cc('md@brainchildlearning.in');

                $message->cc('phpdev@globalvoxinc.com');


                $message->subject('Brochure Downloaded');
            });
        }
        catch (\Exception $e)
        {
            return redirect('thankyou');
        }

        $pathToFile = 'assets/documents/Parents Hand Book.pdf';
        return response()->download($pathToFile);

    }

//END FUNCTION BY KRISHNA RATHOD
    public function apiTest()
    {
        // $ScholarshipInquiryDB = new ScholarshipInquiry;
        // $fromdate = Carbon::createFromDate(2024, 1, 1);
        // $todate = new Carbon('today 23:59:59');
        // $fromdate = Input::get('fromdate', $fromdate);
        // $todate = Input::get('todate', $todate);
        // // $term = Input::get('term', false);
        //     // echo "data from date -".$fromdate.",  to date-".$todate."<br/>";
        // // die();
        // $scholarshipInquiry = $ScholarshipInquiryDB->where('created_at','>=',$fromdate)->where('created_at','<=',$todate)->orderby('id','desc')->get();
        // $fromdate = Carbon::parse($fromdate)->format('Y-m-d');
        // $todate = Carbon::parse($todate)->format('Y-m-d');
        // // return view('admin.inquiries.scholarshipInquiry',compact('scholarshipInquiry','todate','fromdate'));

        $arrayName = array('first_name' => "Praveen Singh", 'last_name' => "Deora", 'email_id' => "p.deora@globalvoxinc.com", 'phone_number' => "8209902838", 'date_of_webinar' => "2024-09-20", 'date_of_registration' => "2024-09-18", 'webinar_page' => "Brainy website webinar page");
        return json_encode($arrayName);
    }
}
