<?php

namespace App\Http\Controllers\Locations;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Country_Master;
use App\Models\State_Master;
use App\Models\City_Master;
use App\Models\Area_Master;
use App\Models\Address_Master;
use Validator;
use Redirect;

class AddressMasterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
      public function index()
    {
            $countryDB = new Country_Master;
            $allcountries = $countryDB->where('is_deleted',0)->get();
            $stateDB = new State_Master;
            $allstates = $stateDB->where('is_deleted',0)->get();
            $cityDB = new City_Master;
            $allcities = $cityDB->where('is_deleted',0)->get();
            $areaDB = new Area_Master;
            $allarea = $areaDB->where('is_deleted',0)->get();
            $addressDB = new Address_Master;
            $alladdress = $addressDB->where('is_deleted',0)->get();
        return view('admin.locations.addressmaster.index',compact('allstates','allarea','allcities','allcountries','alladdress'));
    }

     public function create()
    {
         $countryDB = new Country_Master;
        $allcountries = $countryDB->where('is_deleted',0)->get();
        $stateDB = new State_Master;
        $allstates = $stateDB->where('is_deleted',0)->get();
        $cityDB = new City_master;
        $allcities = $cityDB->where('is_deleted',0)->get();
        $areaDB = new Area_Master;
        $allarea = $areaDB->where('is_deleted',0)->get();
        return View('admin.locations.addressmaster.create',compact('allcountries','allstates','allcities','allarea'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         $validator = Validator::make($request->all(), [
            'a_name'             =>'required',
            'country'             =>'required',
            'state'             =>'required',
            'city'             =>'required',
            'area'         => 'required',
            'iframe_url'  => 'required',
             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $addressDB = new Address_Master;
                        $addressDB->name = $request->a_name;
                        $addressDB->country_id = $request->country;
                        $addressDB->state_id = $request->state;
                        $addressDB->city_id = $request->city;
                        $addressDB->area_id = $request->area;
                        $addressDB->iframe_url = $request->iframe_url;
                        $addressDB->save();
                        return Redirect::to('admin/locations/addressmaster');   
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($areamaster)
    {
        $id = $areamaster;
         $countryDB = new Country_Master;
         $allcountries = $countryDB->where('is_deleted',0)->get();
         $stateDB = new state_Master;
         $allstates = $stateDB->where('is_deleted',0)->get();
         $cityDB = new City_Master;
         $allcities = $cityDB->where('is_deleted',0)->get();
         $areaDB = new Area_Master;
         $allarea = $areaDB->where('is_deleted',0)->get();
         $editaddress= Address_Master::findOrFail($id);
         
        return view('admin.locations.addressmaster.edit',compact('editaddress','allcities','allcountries','allstates','allarea'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {

        $validator = Validator::make($request->all(), [
            'name'             =>'required',
            'iframe_url'       => 'required',
            

             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $addressDB = Address_Master::find($id);

                        $addressDB->name = $request->name;
                        $addressDB->iframe_url = $request->iframe_url;
                        $addressDB->country_id = $request->country;
                        $addressDB->state_id = $request->state;
                        $addressDB->city_id = $request->city;
                        $addressDB->area_id = $request->area;

                        $addressDB->save();
                        return Redirect::to('admin/locations/addressmaster');   
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
                        $countryDB = Address_Master::find($id);
                        $var = 1;
                        $countryDB->is_deleted = $var;
                        $countryDB->save();
                        return Redirect::to('admin/locations/addressmaster');   
        
    }
}
