<?php

namespace App\Http\Controllers\Locations;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\City_Master;
use App\Models\Country_Master;
use App\Models\State_Master;
use Validator;
use Redirect;
class CityMasterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
      public function index()
    {
            $countryDB = new Country_Master;
            $allcountries = $countryDB->where('is_deleted',0)->get();
            $stateDB = new State_Master;
            $allstates = $stateDB->where('is_deleted',0)->get();
            $cityDB = new City_master;
            $allcities = $cityDB->where('is_deleted',0)->get();
        return view('admin.locations.citymaster.index',compact('allstates','allcities'));
    }

     public function create()
    {
         $countryDB = new Country_Master;
        $allcountries = $countryDB->where('is_deleted',0)->get();
        $stateDB = new State_Master;
        $allstates = $stateDB->where('is_deleted',0)->get();

        return View('admin.locations.citymaster.create',compact('allcountries','allstates'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         $validator = Validator::make($request->all(), [
            's_name'             =>'required',
            'country'             =>'required',
            'state'             =>'required',

             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $countryDB = new City_Master;
                        $countryDB->name = $request->s_name;
                        $countryDB->country_id = $request->country;
                        $countryDB->state_id = $request->state;
                        $countryDB->save();
                        return Redirect::to('admin/locations/citymaster');   
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
         $countryDB = new Country_Master;
         $allcountries = $countryDB->where('is_deleted',0)->get();
         $stateDB = new state_Master;
         $allstates = $stateDB->where('is_deleted',0)->get();
         $editcity= city_master::findOrFail($id);
         return view('admin.locations.citymaster.edit',compact('editcity','allcountries','allstates'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'name'             =>'required',
            

             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $countryDB = City_Master::find($id);
                        $countryDB->name = $request->name;
                        $countryDB->country_id = $request->country;
                        $countryDB->state_id = $request->state;
                        $countryDB->save();
                        return Redirect::to('admin/locations/citymaster');   
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
                        $countryDB = City_Master::find($id);
                        $var = 1;
                        $countryDB->is_deleted = $var;
                        $countryDB->save();
                        return Redirect::to('admin/locations/citymaster');   
        
    }
}
