<?php

namespace App\Http\Controllers\Locations;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Country_Master;
use Validator;
use Redirect;

class CountryMasterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $countryDB = new Country_Master;
        $allcountries = $countryDB->where('is_deleted',0)->get();
        return view('admin.locations.countrymaster.index',compact('allcountries'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return View('admin.locations.countrymaster.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         $validator = Validator::make($request->all(), [
            'c_name'             =>'required',
             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $countryDB = new Country_Master;
                        $countryDB->name = $request->c_name;
                        $countryDB->save();
                        return Redirect::to('admin/locations/countrymaster');   
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $editcountry = Country_Master::findOrFail($id);
        return view('admin.locations.countrymaster.edit',compact('editcountry'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
          $validator = Validator::make($request->all(), [
            'name'             =>'required',
             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $countryDB = Country_Master::find($id);
                        $countryDB->name = $request->name;
                        $countryDB->save();
                        return Redirect::to('admin/locations/countrymaster');   
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
                        $countryDB = Country_Master::find($id);
                        $var = 1;
                        $countryDB->is_deleted = $var;
                        $countryDB->save();
                        return Redirect::to('admin/locations/countrymaster');   
        return redirect('admin/locations/countrymaster');
    }
}
