<?php

namespace App\Http\Controllers\Locations;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Models\Country_Master;
use App\Models\State_Master;
use Validator;
use Redirect;

class StateMasterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
            $countryDB = new Country_Master;
            $allcountries = $countryDB->where('is_deleted',0)-> get();
            $countryDB = new State_Master;
            $allstates = $countryDB->where('is_deleted',0)->get();
        return view('admin.locations.statemaster.index',compact('allstates','allcountries'));
    }

     public function create()
    {
         $countryDB = new Country_Master;
            $allcountries = $countryDB->where('is_deleted',0)->get();
        return View('admin.locations.statemaster.create',compact('allcountries'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
         $validator = Validator::make($request->all(), [
            's_name'             =>'required',
            'city'             =>'required',
             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $countryDB = new State_Master;
                        $countryDB->name = $request->s_name;
                        $countryDB->country_id = $request->city;
                        $countryDB->save();
                        return Redirect::to('admin/locations/statemaster');   
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
         $countryDB = new Country_Master;
            $allcountries = $countryDB->where('is_deleted',0)->get();
        $editcountry = State_Master::findOrFail($id);
        return view('admin.locations.statemaster.edit',compact('editcountry','allcountries'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
       $validator = Validator::make($request->all(), [
            'name'             =>'required',
            'city'             =>'required',
             ]);
        if($validator->fails()){
             return Redirect::back()->withInput()->withErrors($validator);
        }
        else{
                        $countryDB = State_Master::find($id);
                        $countryDB->name = $request->name;
                        $countryDB->country_id = $request->city;
                        $countryDB->save();
                        return Redirect::to('admin/locations/statemaster');   
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
                        $countryDB = State_Master::find($id);
                        $var = 1;
                        $countryDB->is_deleted = $var;
                        $countryDB->save();
                        return Redirect::to('admin/locations/statemaster');   
        
    }
}
