<?php


/*

|--------------------------------------------------------------------------

| Application Routes

|--------------------------------------------------------------------------

|

| Here is where you can register all of the routes for an application.

| It's a breeze. Simply tell Laravel the URIs it should respond to

| and give it the controller to call when that URI is requested.

|

*/



//Clear Cache facade value:
Route::get('/recache', function() {

    Artisan::call('cache:clear');
    Artisan::call('route:clear');
    Artisan::call('view:clear');
    // Artisan::call('route:cache');
    Artisan::call('config:clear');
    Artisan::call('optimize');

    return "Cleared!";

});


Route::get('/brainy-mnemoniques', function () {
        return view('errors/comingsoon');
});
Route::get('/brainy-phoniques', function () {
        return view('errors/comingsoon');
});

Route::get('/green-gujarat-movement-2019', 'IndexController@greenGujarat2019');

Route::get('/', 'IndexController@index');
Route::post('/', 'IndexController@index');
Route::get('/dbbackup', 'IndexController@dbbackup');
//Route::get('/index', 'IndexController@home');
Route::get('/iso-certified', 'IndexController@ISOCertified');
Route::get('/state-competition-2017', 'IndexController@InternationalCompetition');
Route::get('/state-competition-2017/{value}', 'IndexController@InternationalCompetition2017Value');
Route::get('/state-competition-2018', 'IndexController@InternationalCompetition2018');
Route::get('/state-competition-2018/{value}', 'IndexController@InternationalCompetition2018Value');
Route::get('/state-competition-2019', 'IndexController@InternationalCompetition2019');
Route::get('/state-competition-2022', 'IndexController@InternationalCompetition2022');
Route::get('/state-competition-2019/{value}', 'IndexController@InternationalCompetition2019Value');
Route::get('/national-competition-2018', 'IndexController@nationalCompetition2018');
Route::get('/competition', 'PagesController@Competition');
Route::get('/become-franchisee', 'PagesController@becomeFranchisee');

Route::get('/testimonials', 'Testimonial\TestimonialController@index');

Route::get('/learn-abacus-broucher', 'IndexController@learnAbacusPdf');
Route::get('/englishBrochure', 'IndexController@englishBrochure');
Route::get('/downloadpdfall', 'IndexController@downloadpdfall');
Route::get('/downloadpdfgujarati', 'IndexController@downloadpdfgujarati');
Route::get('/download_ES_WS_Gujarati_Brochure', 'IndexController@downloadEsWsGujaratiBrochure');
Route::get('/live', 'IndexController@Live');

Route::get('/login/{url}/', 'Admin\Admincontroller@admin');

Route::get('/pie', 'Admin\Admincontroller@pie');

Route::get('/home', 'Admin\Admincontroller@index');

Route::get('/courses', 'Admin\CourseController@courses');
/* Events */
Route::get('/rise-of-the-phoenix', 'IndexController@risePhoenix');
Route::get('/setting-global-standards', 'IndexController@settingGlobal');
Route::get('/year-of-reckoning', 'IndexController@yearOfReckoning');
Route::get('/one-step-forward', 'IndexController@oneStepForward');


Route::get('/flogin/{url}', 'Admin\Admincontroller@loginForm');

Route::get('/about/aloha-gujarat-profile', 'IndexController@aboutGujratProfile');
Route::get('/mental-arithmetic-abacus-franchise', 'IndexController@MentalArithmeticAbacusFranchise');
Route::get('/vedic-maths-franchise', 'IndexController@VedicMathsFranchise');

Route::get('/about/message-of-md', 'IndexController@messageOfMd');

Route::get('/area-by-city/{selectCity}','IndexController@areaNameByCity');

Route::get('/thank-you','IndexController@ThankYou');
Route::get('/privacy-policy','IndexController@PrivacyPolicy');
Route::get('/achievements','IndexController@Achievements');
Route::get('/news','IndexController@News');

Route::post('franchisee/sendemail', 'Franchisee\FranchiseeController@sendemail');
Route::post('franchisee/sendemailfrachisee', 'Franchisee\FranchiseeController@sendemailfrachisee');


resource('admin/promoters', 'Promoter\PromoterContrller');
Route::get('admin/promoters/destroy/{id}', 'Promoter\PromoterContrller@destroy');

resource('admin/knowledge', 'Admin\KnowledgeController');
Route::get('admin/knowledge/{id}/destroy', 'Admin\KnowledgeController@destroy');
Route::get('admin/KnowledgeFranchisee', 'Admin\KnowledgeController@KnowledgeFranchisee');

resource('admin/franchisee-inquiry', 'Admin\FranchiseeInquiryController');
Route::get('admin/franchisee-inquiry/{id}/destroy', 'Admin\FranchiseeInquiryController@destroy');

resource('admin/scholarship-inquiry', 'Admin\ScholarshipInquiryController');
Route::get('admin/scholarship-inquiry/{id}/destroy', 'Admin\ScholarshipInquiryController@destroy');

resource('admin/employment-inquiry', 'Admin\EmploymentInquiryController');
Route::get('admin/employment-inquiry/{id}/destroy', 'Admin\EmploymentInquiryController@destroy');

resource('admin/student-inquiry', 'Admin\StudentInquiryController');
Route::get('admin/student-inquiry/{id}/destroy', 'Admin\StudentInquiryController@destroy');

Route::get('/apitest', function () {
    return view('apitest');
});

Route::get('/apitest1', function () {
        return view('test');
});

// Route::get('/api/scholarshipinquiries', 'IndexController@apiTest');
Route::get('/api/scholarshipinquiries', ['as' => 'api', 'uses' => 'IndexController@apiTest']);

Route::get('/scholarship','IndexController@scholarship');

//  summer_activites & after school programs
Route::get('/summer-activities','Admin\CourseController@summer_activities');
Route::get('/after-school-programs','Admin\CourseController@after_school_programs');


$router->group([

    'middleware' => 'admin',

],


    function () {

        // Route::get('admin/scholarship', 'ScholarshipController@index');

        resource('/user/admin', 'Adminuser\AdminUserController');

        resource('admin/courses', 'Admin\CourseController');

        resource('admin/cmspage', 'Admin\CmspageController');

        Route::get('admin/courses/{id}/destroy', 'Admin\CourseController@destroy');

        resource('admin/videos', 'Video\VideoController');

        Route::get('admin/videos/{id}/destroy', 'Video\VideoController@destroy');

        resource('admin/request', 'Admin\RequestController');
        Route::get('admin/request/{id}/approve', 'Admin\RequestController@approve');
        Route::get('admin/request/{id}/disapprove', 'Admin\RequestController@disapprove');

        Route::get('admin/pendingrequest/centerimages', 'Admin\RequestController@centerimages');
        Route::get('admin/pendingrequest/achievements', 'Admin\RequestController@achievements');
        Route::get('admin/pendingrequest/news', 'Admin\RequestController@news');
        Route::get('admin/pendingrequest/promoters', 'Admin\RequestController@promoters');
        Route::get('admin/pendingrequest/social', 'Admin\RequestController@social');

        Route::get('admin/news/{id}/approve', 'Admin\RequestController@newsApprove');

        Route::get('admin/news/{id}/notApprove', 'Admin\RequestController@notApprove');

        Route::get('admin/achievement/{id}/approve', 'Admin\RequestController@achievementApprove');
        Route::get('admin/achievement/{id}/notApprove', 'Admin\RequestController@achievementNotApprove');

        Route::get('admin/promoter/{id}/approve', 'Admin\RequestController@promoterApprove');
        Route::get('admin/promoter/{id}/notApprove', 'Admin\RequestController@promoterDisapprove');

        Route::get('admin/socialmedia/{id}/approve', 'Admin\RequestController@socialmediaApprove');
        Route::get('admin/socialmedia/{id}/notApprove', 'Admin\RequestController@socialmediaDisapprove');

        resource('admin/news-updates','Admin\NewsUpdatesController');
        Route::get('admin/news-updates/{id}/destroy','Admin\NewsUpdatesController@destroy');

        resource('admin/images', 'Imagegallary\ImagegallaryController');

        Route::post('admin/images/data', 'Imagegallary\ImagegallaryController@data');

        Route::post('admin/images/destroy', 'Imagegallary\ImagegallaryController@destroy');

        resource('admin/franchisee', 'Franchisee\FranchiseeController');

        Route::get('admin/franchisee/{id}/destroy', 'Franchisee\FranchiseeController@destroy');




        Route::get('admin/videogallary/newvideos', 'Videogallary\VideogallaryController@newvideos');

        Route::post('admin/videos/upload', 'Videogallary\VideogallaryController@savevideo');

        Route::post('admin/videos/{id}/disable', 'Videogallary\VideogallaryController@disable');

        Route::post('admin/videos/{id}/enable', 'Videogallary\VideogallaryController@enable');

        Route::get('user/locations/getstatesbycountry/{city}', 'Franchisee\FranchiseeController@getStatesByCountry');

        Route::get('user/locations/getcityBystate/{city}', 'Franchisee\FranchiseeController@getcityBystate');

        Route::get('user/locations/getareaBycity/{cityarea}', 'Franchisee\FranchiseeController@getareaBycity');

//        Route::get('user/locations/getstateBycourse/{course}', 'Franchisee\FranchiseeController@getstateBycourse');



        //locations Country

        /*Route::get('admin/locations', 'AreaMasterController@allareas');

        Route::post('admin/locations/addcountry', 'AreaMasterController@addcountry');

        Route::get('admin/locations/editcountry/{id}','AreaMasterController@editcountry');

        Route::post('admin/locations/updatecountry/', 'AreaMasterController@updatecountry');

        Route::get('admin/locations/deletecountry/{id}', 'AreaMasterController@deletecountry');



        //locations City

        Route::post('admin/locations/addcity', 'AreaMasterController@addcity');

        Route::get('admin/locations/editcity/{id}','AreaMasterController@editcity');

        Route::post('admin/locations/updatecity/', 'AreaMasterController@updatecity');

        Route::get('admin/locations/deletecity/{id}', 'AreaMasterController@deletecity');

*/

        //Country

        resource('admin/locations/countrymaster', 'Locations\CountryMasterController');

        Route::get('admin/locations/countrymaster/{id}/destroy', 'Locations\CountryMasterController@destroy');

        //states

        resource('admin/locations/statemaster', 'Locations\StateMasterController');

        Route::get('admin/locations/statemaster/{id}/destroy', 'Locations\StateMasterController@destroy');

        //city

        resource('admin/locations/citymaster', 'Locations\CityMasterController');

        Route::get('admin/locations/citymaster/{id}/destroy', 'Locations\CityMasterController@destroy');

        //area

        resource('admin/locations/areamaster', 'Locations\AreaMasterController');

        Route::get('admin/locations/areamaster/{id}/destroy', 'Locations\AreaMasterController@destroy');

        resource('admin/locations/areamaster', 'Locations\AreaMasterController');

        Route::get('admin/locations/areamaster/{id}/destroy', 'Locations\AreaMasterController@destroy');


        Route::get('franchisee/images', 'Franchisee\AdminFranchiseeController@adminimages');

        Route::post('franchisee/images/{id}/enable', 'Franchisee\AdminFranchiseeController@imagesenable');
        Route::post('franchisee/images/{id}/disable', 'Franchisee\AdminFranchiseeController@imagesdisable');


        resource('slider/images', 'Slider\SliderImagesController');

        Route::get('slider/images/{id}/destroy', 'Slider\SliderImagesController@destroy');


        Route::get('franchisee/testimonials', 'Franchisee\AdminFranchiseeController@admintestimonials');

        Route::post('franchisee/testimonials/{id}/enable', 'Franchisee\AdminFranchiseeController@testimonialenable');

        Route::post('franchisee/testimonials/{id}/disable', 'Franchisee\AdminFranchiseeController@testimonialdisable');

        Route::get('franchisee/testimonials/{slug}', 'Franchisee\AdminFranchiseeController@alltestimonials');


        //portfolio

        resource('/portfolios', 'Portfolio\PortfolioController');

        Route::post('/portfolios/update', 'Portfolio\PortfolioController@update');


        Route::get('/portfolios/{id}/destroy', 'Portfolio\PortfolioController@destroy');

        resource('/image/cateory/master', 'Admin\ImageCategoryController');

        Route::get('/image/cateory/master/{id}/destroy', 'Admin\ImageCategoryController@destroy');


        /*resource('admin/blog', 'Admin\BlogController');
        Route::get('admin/blog/{id}/destroy', 'Admin\BlogController@destroy');*/


        resource('admin/latest-updates', 'Admin\LatestUpdatesController');
        Route::get('admin/latest-updates/{id}/destroy', 'Admin\LatestUpdatesController@destroy');

    resource('admin/blogHeaderImages', 'Admin\BlogHeaderImageController');
    resource('admin/blogmaster', 'Admin\BlogController');
    resource('admin/blogmaster/{id}/status', 'Admin\BlogController@status');
    resource('admin/blogmaster/{id}/destroy', 'Admin\BlogController@destroy');
    resource('admin/blogcategory', 'Admin\BlogCategoryController');
    resource('admin/blogcategory/{id}/destroy', 'Admin\BlogCategoryController@destroy');
    // franchise master
    resource('admin/franchisee-master','Admin\FranchiseMasterController');
    resource('admin/franchisee-master/{id}/destroy','Admin\FranchiseMasterController@destroy');
    Route::get('admin/franchisee-master/create', 'Admin\FranchiseMasterController@getCreate');
    Route::post('admin/franchisee-master/fr/submit', 'Admin\FranchiseMasterController@postCreate');
    Route::get('admin/franchisee-master/edit/{id}', 'Admin\FranchiseMasterController@edit');

        Route::post('videos/home/video', 'Video\VideoController@homevideo');


        Route::get('franchisee/admin/{slug}', 'Franchisee\AdminFranchiseeController@alldata');
    });


post('/loginpost', 'Usercontroller@loginpost');

get('/auth/login', 'Auth\AuthController@getLogin');

get('/logout', 'Usercontroller@logout');

Route::get('/aloha-centers', 'Franchisee\FranchiseeController@franchiseeCities');

Route::get('/aloha-centers-cities', 'Franchisee\FranchiseeController@franchisee');

Route::get('/aloha-centers/{slug}', 'Franchisee\FranchiseeController@franchiseeCitiesList');
Route::get('/aloha-centers/{slug}/{slug1}', 'Franchisee\FranchiseeController@franchiseeCourseCitiesList');

Route::get('/aloha/{slug}/{slug1}','Franchisee\FranchiseeController@demoCitiesList');


Route::post('/searchpost', 'Franchisee\FranchiseeController@search');

Route::get('/franchisee/login', 'Franchisee\FranchiseeController@login');

Route::post('/franchisee/loginpost', 'Franchisee\FranchiseeController@franchiseeloginpost');

get('/franchiseelogout', 'Franchisee\FranchiseeController@franchiseelogout');

Route::get('/courses/{slug}', 'Admin\CourseController@coursesview');

Route::get('/download/{id}', 'Admin\CourseController@downloadpdf');


// Route::get('/franchisee/{city_id}','Franchisee\FranchiseeController@franchiseeview');

Route::get('/location-map/{city}', 'Franchisee\FranchiseeController@locationmap');

Route::get('/area/{area}', 'Map\MapController@mapbyarea');


Route::get('user/locations/getarea/{cityarea}', 'Franchisee\FranchiseeController@getarea');

Route::get('user/front/locations/getarea/{cityarea}', 'Franchisee\FranchiseeController@frontgetarea');


Route::post('center/{slug}', 'Franchisee\FranchiseeController@franchiseeDetails');

Route::get('center/{slug}', 'Franchisee\FranchiseeController@franchiseeDetails');

Route::get('inquiry/student-inquiry/', 'Inquiry\InquiryController@studentInquiry');

Route::get('inquiry/franchisee-inquiry/', 'Inquiry\InquiryController@franchiseeInquiry');

Route::get('inquiry/aloha-course/', 'Inquiry\InquiryController@alohacourse');

Route::get('inquiry/education-franchise/', 'Inquiry\InquiryController@educationFranchise');

Route::get('inquiry/employment-inquiry/', 'Inquiry\InquiryController@employmentinquiry');

Route::get('/image/gallery', 'Imagegallary\ImagegallaryController@frontgallery');

Route::get('/contact', 'Contact\ContactController@contact');

Route::get('/contact', 'Contact\ContactController@contact');

Route::post('/student-inquiry/mailpost', 'Mail\MailController@studentmail');

Route::post('/franchisee-inquiry/mailpost', 'Mail\MailController@franchiseemail');

Route::post('/employment-inquiry/mailpost', 'Mail\MailController@employmentemail');


Route::post('contact-form/mailpost', 'Mail\MailController@contactmail');


Route::get('front/area/post/{formId}/', 'Franchisee\FranchiseeController@frontpostbyarea');


//Route::get('/blog/{slug}', 'Blog\BlogController@index');
Route::get('/recent-update/{slug}', 'LatestUpdate\LatestUpdateController@index');

Route::get('/video/videogallery', 'Video\VideoController@frontvideogallery');

/*......... demo design page of video gallery..........     */
// Route::get('/video/video-design', 'Video\VideoController@designvideogallery');


//Route::post('quick-contact/quickpost', 'Quick\QuickContactController@quickcontactmail');
//Route::post('quick-contact/subscribe', 'Quick\QuickContactController@subscribe');


/** For Blog Start **/
Route::get('/blog', 'PagesController@recentblog');
Route::get('/most-interesting', 'PagesController@mostinteresting');
Route::get('/most-viewed-blog', 'PagesController@blogPage');
Route::get('/blog/{slug}', 'PagesController@blogdetails');
Route::get('/category/{slug}', 'PagesController@category');
/** For Blog End **/

$router->group([

    'middleware' => 'franchisee',

],

    function () {


        Route::resource('franchiseeadmin/testimonials', 'Franchisee\FranchiseeTesimonialsController');

        resource('franchiseeadmin/about', 'Franchisee\FranchiseeAboutController');

        Route::resource('franchiseeadmin/news', 'Franchisee\NewsandupdatesController');

        Route::get('franchiseeadmin/news/{id}/destroy', 'Franchisee\NewsandupdatesController@destroy');


        resource('franchiseeadmin/achievements', 'Franchisee\AchievementsController');

        resource('franchiseeadmin/inquiry', 'Franchisee\InquiryController');

        Route::get('franchiseeadmin/achievements/{id}/destroy', 'Franchisee\AchievementsController@destroy');


        Route::get('franchiseeadmin/testimonials/{id}/destroy', 'Franchisee\FranchiseeTesimonialsController@destroy');

        resource('franchiseeadmin/images', 'Franchisee\FranchiseeAdminImagesController');

        Route::post('franchiseeadmin/images/{id}/destroy', 'Franchisee\FranchiseeAdminImagesController@destroy');

        resource('franchiseeadmin/videos', 'Franchisee\FranchiseeAdminVideosController');

        Route::get('franchiseeadmin/videos/{id}/destroy', 'Franchisee\FranchiseeAdminVideosController@destroy');

        resource('franchiseeadmin/social', 'Franchisee\Social\SocialMediaController');

        Route::get('/franchiseeadmin/gallery', 'Franchisee\FranchiseeGalleryController@gallery');

        Route::get('/franchiseeadmin/IntegrateInstagram', 'Franchisee\IntegrateInstagramController@index');
        Route::post('/franchiseeadmin/IntegrateInstagram', 'Franchisee\IntegrateInstagramController@create');

    });
//fe=re demo
Route::get('/free-demo', 'PagesController@GetFreeDemo');

