@extends('admin.admin')
@section('content')
    <div class="row"><!-- Basic example -->
        {!! Form::open(array('url' => 'admin/blogmaster', 'files' => true, 'enctype' => 'multipart/form-data')) !!}
        {{ csrf_field() }}

        {{-- <ul>
             @foreach($errors->all() as $error)
                 <li style="color: red;">{{ $error }}</li>
             @endforeach
         </ul>
 --}}
        @if (count($errors) > 0)
            <div class="alert alert-danger alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        <div class="col-md-4">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Create Blog</h3></div>
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Blog Title') !!}
                        {!! Form::text("blog_title",null,['class'=>'form-control','placeholder'=>'Blog Title','required'=>'required']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Category') !!}
                        <select class="form-control" required name="category">
                            <option value="">Select Category</option>
                            @foreach($blogscategories as $blogscategory)
                                <option value="{{$blogscategory->id}}">{{$blogscategory->category_name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group">
                        {!! Form::label('Author') !!}
                        {!! Form::text("author",null,['class'=>'form-control','placeholder'=>'Author']) !!}
                    </div>

                    {{-- <div class="form-group">
                         {!! Form::label('Page Slug') !!}
                         {!! Form::text("slug",null,['class'=>'form-control','placeholder'=>'Slug']) !!}
                     </div>--}}

                    <div class="form-group">
                        {!! Form::label('Date') !!}
                        {!! Form::text("date",date("m/d/Y"),['class'=>'form-control','placeholder'=>'mm/dd/yyyy','id'=>'datepicker']) !!}
                    </div>

                   {{-- <div class="form-group">
                        {!! Form::label('Blog Image') !!} <span class="text-danger">- Please select image 800*600 px dimension</span>
                        {!! Form::file('image') !!}
                    </div>--}}

                    <div class="form-group">
                        <span class="note" style="color: red">Please select image 1278*400 px dimension</span><Br>
                        {!! Form::label('Blog Image1') !!}
                        {{--    {!! Form::file('image') !!}--}}
                        <input type="file" name="image[]">
                    </div>
                    <!-- <div class="form-group">
                        {!! Form::label('Blog Image2') !!}
                        {{--    {!! Form::file('image') !!}--}}
                        <input type="file" name="image[]">
                    </div>
                    <div class="form-group">
                        {!! Form::label('Blog Image3') !!}
                        {{--    {!! Form::file('image') !!}--}}
                        <input type="file" name="image[]">
                    </div>
                    <div class="form-group">
                        {!! Form::label('Blog Image4') !!}
                        {{--    {!! Form::file('image') !!}--}}
                        <input type="file" name="image[]">
                    </div>
                    <div class="form-group">
                        {!! Form::label('Blog Image5') !!}
                        {{--    {!! Form::file('image') !!}--}}
                        <input type="file" name="image[]">
                    </div>
                    <div class="form-group">
                        {!! Form::label('Blog Image6') !!}
                        {{--    {!! Form::file('image') !!}--}}
                        <input type="file" name="image[]">
                    </div>
 -->
                </div><!-- panel-body -->
            </div><!-- panel -->
        </div>
        <div class="col-md-4">
            <!-- small content -->
            <div class="panel">
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Small Content') !!}
                        {!! Form::textarea("small_content",null,['rows'=>'4','cols'=>'40','id'=>'small_content','placeholder' => 'short description', 'required'=>'required']) !!}
                    </div>
                </div>
            </div>
            <!-- full content -->
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Blog Content') !!}
                        {!! Form::textarea("blog_content",null,['id'=>'editor1','placeholder'=>'Blog Content', 'required'=>'required']) !!}
                    </div>

                    <div class="form-group">
                        <div class="form-group">
                            <div class="checkbox checkbox-primary"><input type="checkbox" name="most_interesting" class="field" id="checkbox1" value="1" style="margin-left: 0px !important; ">
                                {!! Form::label('Most Interesting?') !!}
                            </div>
                        </div>
                    </div>
                    {{--<div class="form-group">
                        {!! Form::label('Info Image') !!}
                        {!! Form::file('info_images') !!}
                    </div>--}}

                </div><!-- panel-body -->
            </div><!-- panel -->
        </div>

        <div class="col-md-4">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">SEO</h3></div>
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Meta Title') !!}
                        {!! Form::text("meta_title",null,['class'=>'form-control']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Meta Keyword') !!}
                        {!! Form::text("meta_keyword",null,['class'=>'form-control']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Meta Description') !!}
                        {!! Form::text("meta_content",null,['class'=>'form-control']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Open Graph Tags') !!}
                        {!! Form::text("og_tag",null,['class'=>'form-control']) !!}
                    </div>

                    {!! Form::submit("Save & Close",['class' => 'btn btn-purple'])!!}
                    <a class="btn btn-danger" href="/admin/blogmaster">Cancel</a>

                </div><!-- panel-body -->
            </div><!-- panel -->
        </div>

        {!!Form::close()!!}

    </div>

@stop