@extends('admin.admin')
@section('content')
    <div class="row"><!-- Basic example -->
        {!! Form::open(array('url' => 'admin/blogmaster/'.$blog->id, 'files' => true, 'enctype' => 'multipart/form-data','method'=>"PUT")) !!}
        {{ csrf_field() }}

        {{-- <ul>
             @foreach($errors->all() as $error)
                 <li style="color: red;">{{ $error }}</li>
             @endforeach
         </ul>
 --}}
        @if (count($errors) > 0)
            <div class="alert alert-danger alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif

        <div class="col-md-4">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">Edit Blog</h3></div>
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Blog Title') !!}
                        {!! Form::text("blog_title",$blog->blog_title,['class'=>'form-control','placeholder'=>'Blog Title','required'=>'required']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Category') !!}
                        <select class="form-control" required name="category">
                            <option value="">Select Category</option>
                            @foreach($blogscategories as $blogscategory)
                                <option @if($blog->category==$blogscategory->id) selected @endif value="{{$blogscategory->id}}">{{$blogscategory->category_name}}</option>
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group">
                        {!! Form::label('Author') !!}
                        {!! Form::text("author",$blog->author,['class'=>'form-control','placeholder'=>'Author','required'=>'required']) !!}
                    </div>

                    {{-- <div class="form-group">
                         {!! Form::label('Page Slug') !!}
                         {!! Form::text("slug",$blog->slug,['class'=>'form-control','placeholder'=>'Slug','required'=>'required']) !!}
                     </div>--}}

                    <div class="form-group">
                        {!! Form::label('Date') !!}
                        {!! Form::text("date",date("m/d/Y",strtotime($blog->date)),['class'=>'form-control','placeholder'=>'mm/dd/yyyy','id'=>'datepicker']) !!}
                    </div>

                    <div>
                        <td width="150px">
                            <img src="/blog/{{$blog->image}}" width="150px" height="70px">
                        </td>
                    </div>
                    <div class="form-group">
                         <span class="note" style="color: red">Please select image 1278*400 px dimension</span><Br>
                        {!! Form::file('image') !!}
                    </div>

                   <!--  <div class="form-group">
                        <span class="note" style="color: red">Please select image 1278*400 px dimension</span><Br>

                        <?php $i=1; foreach($imgList as $img){ ?>
                        {!! Form::label('Blog Image')!!}{{$i}}<Br>
                        <img src="/upload/blog-images/{{$img->image}}" width="50px">
                        <input type="file" name="image[]">
                        <input type="hidden" name="img_new_ids[]" value="{{$img->id}}">
                        <?php $i++; }
                        $imgCnt= count($imgList)+1;

                        for($j=$imgCnt; $j<=6; $j++){
                        ?>
                        {!! Form::label('Blog Image')!!}{{$j}}<Br>
                        {{-- <img src="/upload/blog-images/{{$img->image}}" width="50px">--}}
                        <input type="file" name="image_edit[]">
                        <?php } ?>

                    </div> -->

                </div><!-- panel-body -->
            </div><!-- panel -->
        </div>
        <div class="col-md-4">
            <!-- small content -->
            <div class="panel">
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Small Content') !!}
                        {!! Form::textarea("small_content",$blog->small_content,['rows'=>'4','cols'=>'40','id'=>'small_content','placeholder' => 'short description','required'=>'required']) !!}
                    </div>
                </div>
            </div>
            <!-- full content -->
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Blog Content') !!}
                        {!! Form::textarea("blog_content",$blog->blog_content,['id'=>'editor1','placeholder'=>'Blog Content','required'=>'required']) !!}
                    </div>

                    <div class="form-group">
                        <div class="form-group">
                            <div class="checkbox checkbox-primary">
                                <input @if($blog->most_interesting=='1') checked @endif type="checkbox" name="most_interesting" class="field" id="checkbox1" value="1" style="margin-left: 0px !important; ">
                                {!! Form::label('Most Interesting?') !!}
                            </div>
                        </div>
                    </div>

                </div><!-- panel-body -->
            </div><!-- panel -->
        </div>

        <div class="col-md-4">
            <div class="panel panel-default">
                <div class="panel-heading"><h3 class="panel-title">SEO</h3></div>
                <div class="panel-body">
                    <div class="form-group">
                        {!! Form::label('Meta Title') !!}
                        {!! Form::text("meta_title",$blog->meta_title,['class'=>'form-control']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Meta Keyword') !!}
                        {!! Form::text("meta_keyword",$blog->meta_keyword,['class'=>'form-control']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Meta Description') !!}
                        {!! Form::text("meta_content",$blog->meta_content,['class'=>'form-control']) !!}
                    </div>

                    <div class="form-group">
                        {!! Form::label('Open Graph Tags') !!}
                        {!! Form::text("og_tag",$blog->og_tag,['class'=>'form-control']) !!}
                    </div>

                    {!! Form::submit("Save Changes",['class' => 'btn btn-purple'])!!}
                    <a class="btn btn-danger" href="/admin/blogmaster">Cancel</a>

                </div><!-- panel-body -->
            </div><!-- panel -->
        </div>

        {!!Form::close()!!}

    </div>

@stop