@extends('layout.main')
@section('content')
    <!--Page Title-->
    <section class="page-title" style="background-image:url(/assets/images/background/5.jpg);">
        <div class="auto-container">
            <div class="inner-box">
                <h2>Blog</h2>
                <ul class="bread-crumb">
                    <li><a href="{{url('/')}}">Home</a></li>
                    <li>Blog</li>
                </ul>
            </div>
        </div>
    </section>
    <!--End Page Title-->

    <!--Sidebar Page-->
    <div class="sidebar-page-container">
        <div class="auto-container">
            <div class="row clearfix">

                <!--Content Side-->

                <div class="content-side col-lg-8 col-md-8 col-sm-12 col-xs-12" itemscope itemType="http://schema.org/BlogPosting">
                    <span itemprop="publisher" itemscope itemType="http://schema.org/Organization"> 
                        <meta itemprop="description" content="Brainy | A Division of Brain Child Learning">
                        <meta itemprop="name" content="Brainy">
                        <span itemprop="logo" itemscope itemType="http://schema.org/ImageObject">
                            <meta itemprop="url" content="http://brainy.co.in/assets/images/brainy.png">
                        </span>
                    </span>
                        <meta itemprop="dateModified" content="{{$blog->date}}">
                        <meta itemprop="mainEntityOfPage" content="http://brainy.co.in/">

                    <!--Blog-->
                    <section class="blog-classic">

                        <!--News Style Four-->

                        <div class="news-style-four">
                            <div class="inner-box">
                                <!--Image Column-->
                                <div class="image">
                                    <a href="/blog/{{ $blog->slug }}"><img src="/blog/{{$blog->image}}" alt="{{ $blog->blog_title }}" title="{{ $blog->blog_title }}" /></a>
                                </div>
                                <!--Content Column-->
                                <div class="col-md-12 content-column">
                                    <div class="inner blog-detail">
                                        <div class="post-date" itemprop="datePublished">{{date('M d,Y', strtotime($blog->date)) }}</div>
                                        <h1 itemprop="headline"><a href="#">{{ $blog->blog_title }}</a></h1>
                                        <ul class="post-meta">
                                            <li>by <span itemprop="author">{{$blog->author}}</span></li>
                                            <!-- <li><a href="#"><span class="icon fa fa-commenting-o"></span> 7 Comments</a></li>   
                                            <li><a href="#"><span class="icon fa fa-eye"></span>18 Views</a></li> -->
                                        </ul>
                                        <span itemprop="image" itemscope itemType="http://schema.org/ImageObject">
                                <meta itemprop="image" content="/blog/{{$blog->image}}">
                                <meta itemprop="url" content="http://brainy.co.in/blog/{{$blog->image}}"> 
                                <meta itemprop="width" content="400"> 
                                <meta itemprop="height" content="300">
                            </span>
                                       
                                        <div itemprop="articleBody" class="readless">{!! $blog->blog_content !!}</div>
                                    </div>
                                </div>
                                <!-- End Content Column -->
                            </div>
                        </div>
                        
                    </section>
                </div>

                <!--Sidebar-->
                <div class="sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">
                    <aside class="sidebar">
                        
                        <!--Services Category Widget-->
                        <!-- <div class="sidebar-widget category-widget">
                            <div class="sidebar-title">
                                <h3>Categories</h3>
                            </div>
                             @foreach($blogcategories as $categories)
                            <ul>
                                <li><a href="#{{$categories->slug}}">{{$categories->category_name}}</a></li>
                            </ul>
                            @endforeach
                        </div> -->
                        
                        <!--Services Post Widget-->
                        <div class="sidebar-widget popular-posts">
                            <div class="sidebar-title">
                                <h3>Latest Post</h3>
                            </div>
                            <!--Post-->
                            @foreach($allblogs as $allblog)
                            <article class="post">
                                <figure class="post-thumb img-circle"><img src="/blog/{{$allblog->image}}" alt="{{$allblog->blog_title}}" title="{{$allblog->blog_title}}"></figure>
                                <div class="text"><a href="/blog/{{ $allblog->slug }}">{{ $allblog->blog_title }}</a></div>

                                <div class="post-info">
                                    <ul class="post-meta">
                                        <li><span class="icon fa fa-user"></span>  {{$allblog->author}}</li>
                                    </ul>
                                </div>
                            </article>
                            <!--Post-->
                            @endforeach
                        </div>
                        
                    </aside>
                </div>
            </div>
        </div>
    </div>
@endsection
