@extends('layout.main')
@section('content')
    <!--Page Title-->
    <section class="page-title" style="background-image:url(assets/images/background/5.jpg);">
        <div class="auto-container">
            <div class="inner-box">
                <h1>Blog</h1>
                <ul class="bread-crumb">
                    <li><a href="/">Home</a></li>
                    <li>Blog</li>
                </ul>
            </div>
        </div>
    </section>
    <!--End Page Title-->

    <!--Sidebar Page-->
    <div class="sidebar-page-container">
        <div class="auto-container">
            <div class="row clearfix">

                <!--Content Side-->
                <div class="content-side col-lg-8 col-md-8 col-sm-12 col-xs-12">
                    <!--Blog-->
                    <section class="blog-classic">

                        <!--News Style Four-->
                        @foreach($blogs as $blog)
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="news-style-four">
                                    <div class="inner-box">
                                        <!--Image Column-->
                                        <div class="image">
                                            <a href="/blog/{{ $blog->slug }}" target="_blank"><img src="/blog/{{ $blog->image }}" alt="{{ $blog->blog_title }}" title="{{ $blog->blog_title }}" /></a>
                                        </div>
                                        <!--Content Column-->
                                        <div class="col-md-12 content-column">
                                            <div class="inner">
                                                
                                                <div class="post-date">{{date('M d,Y', strtotime($blog->date)) }}</div>
                                                <h3><a href="/blog/{{ $blog->slug }}" target="_blank">{{ $blog->blog_title }}</a></h3>
                                                <ul class="post-meta">
                                                    <li>by <span>{{$blog->author}}</span></li>
                                                    <!-- <li><a href="#"><span class="icon fa fa-commenting-o"></span> 7 Comments</a></li>   
                                                    <li><a href="#"><span class="icon fa fa-eye"></span>18 Views</a></li> -->
                                                </ul>
                                                <?php 
                                                    $content = substr($blog->blog_content,0,389);
                                                ?>
                                                <div class="readless">{!! $blog->small_content !!}...</div>
                                                <a class="read-more" href="/blog/{{ $blog->slug }}" target="_blank">Read More <span class="icon fa fa-angle-right"></span></a>
                                            </div><hr>
                                            <br>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        @endforeach
                    </section>
                </div>

                <!--Sidebar-->
                <div class="sidebar-side col-lg-4 col-md-4 col-sm-12 col-xs-12">
                    <aside class="sidebar">

                        <!--Services Post Widget-->
                        <div class="sidebar-widget popular-posts">
                            <div class="sidebar-title">
                                <h3>Latest Post</h3>
                            </div>
                            <!--Post-->
                            @foreach($blogs as $allblog)
                            <article class="post">
                                <figure class="post-thumb img-circle"><img src="/blog/{{$allblog->image}}" alt="{{ $blog->blog_title }}" title="{{ $blog->blog_title }}"></figure>
                                <div class="text"><a href="/blog/{{ $allblog->slug }}">{{ $allblog->blog_title }}</a></div>

                                <div class="post-info">
                                    <ul class="post-meta">
                                        <li><span class="icon fa fa-user"></span>  {{$allblog->author}}</li>
                                    </ul>
                                </div>
                            </article>
                            <!--Post-->
                            @endforeach
                        </div>
                       

                    </aside>
                </div>

            </div>
        </div>
    </div>
@endsection
      
