@extends('layout.main')
@section('content')
    <style>
        aside {
            padding-right: .5rem;
            margin-right: .5rem;
            margin: 2%;
        }
        aside > div {
            margin: .5rem;
        }

        .overview{
            margin: 5%;
        }
        .overview-parent{
            background-color: #cccccc45;
            border-radius: 102px 20px 102px;
            margin-bottom: 2%;
        }
        .books__book__img  img:hover {
            -webkit-transform: rotate(10deg); /* Safari */
            transform: rotate(10deg);
        }
        .books__book__img img {
            -webkit-transition: width 2s, height 2s, -webkit-transform 2s; /* Safari */
            transition: width 2s, height 2s, transform 2s;
        }
        .offerings{
            position: relative;
            background: #00aabb45;
            border-radius: .4em;
        }

        .offerings:after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 50%;
            width: 0;
            height: 0;
            border: 18px solid transparent;
            border-top-color: #00aabb45;
            border-bottom: 0;
            border-left: 0;
            margin-left: -9px;
            margin-bottom: -18px;
        }

        .books__book__img {
            margin-top: 6%;
        }

    </style>
    <!--Page Title-->

    <section class="page-title" style="background-image:url(assets/images/background/5.jpg);">
        <div class="auto-container">
            <div class="inner-box">
                <h1>Cognitive Skills Program </h1>
                <ul class="bread-crumb">
                    <li>To Enhance Child’s Receptive Power</li>
                    {{--<li>Brainy Se Program</li>--}}
                    {{--<li>Sensory Enhancement</li>--}}
                </ul>
            </div>
        </div>
    </section>
    <!--End Page Title-->

    <!--Welcome Section-->
    <section class="welcome-section sensory-section">
        <div class="auto-container">

            <div class="row overview-parent">
                <div class="col-md-12">

                    <aside style="float: left; width: 20%;">
                        <a href="#" class="books__book__image">
                            <div class="books__book__img">
                                <img class="brain" src="assets/images/events/brainFunny.png">
                            </div>
                        </a>
                    </aside>
                    <div class="overview">
                        <h3>Overview</h3>
                        <div class="text" style="font-size: 19px; text-justify: distribute-all-lines">Combination of skills that the brain uses to read, pay attention, think, learn and solve problems are the cognitive skills. This is the skill that makes it possible for us to know. Every child has distinctive cognitive skills which form the basis of defining his or her IQ. So the incapability to cope up with even a single skill can make learning difficult then it needs to be. Brainy’s Cognitive Skills Program aims to empower every child by spotting and strengthening their weak skills through fun and games.
                        </div>

                    </div>
                </div>
            </div>


            <div class="row clearfix">
                <div class="col-md-12 offerings">
                    <div style="margin: 5%">
                        <h3 style="text-align: center; margin-bottom: 1%">Brainy’s Cognitive Skills’ Offerings</h3>
                        <div class="text">
                            The sessions are customized according to the child’s learning capabilities that enhance their para-psychological skills. Brainy’s cognitive skills program is developed using the game engine that allows the students to play Cognitive Enhancement Games in four areas as mentioned below along with Brainy’s Sensory Enhancement Program. The sessions are fun enough to keep the students engrossed in the tasks, difficult enough to find ways to achieve their goal but not that difficult to make them feel discouraged.
                        </div>
                        <div class="text">
                            Our teaching and development methodologies shorten the learning process of every child and strengthen their overall growth. We focus on enhancing the diagnostic skills of kids that narrows down to:
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="tabs-content pt-50">

                        <div class="tab active-tab" id="education">
                            <div class="content">

                                <!-- steps of franchise -->
                                <div class="clearfix move-column">
                                    <!--Column/ Pull Left-->
                                    <div class="column pull-left col-md-4 col-sm-6 col-xs-12">
                                        <!--Feature Block-->
                                        <div class="feature-block">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-book"></span>
                                                </div>
                                                <h3><a>Focus and Attention</a></h3>
                                                <div class="text">Attention is the basic ability to perform any task, without it learning doesn’t happen. This approach works on how quickly the learner can process incoming information over a period of time. Focusing on this cognitive skill will lead to focus and pay attention to the task on hand.
                                                </div>
                                            </div>
                                        </div>

                                        <!--Feature Block-->
                                        <div class="feature-block">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-football"></span>
                                                </div>
                                                <h3><a >Visual Processing</a></h3>
                                                <div class="text">Reading, Writing and Mathematics are some of the areas where visual processing skills play a major role. Not being able to cope up with these areas, a child’s self-esteem can suffer majorly. Brainy works with child’s visual perceptual areas and associated symptoms for visual information processing evaluation.
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                    <!--Column / Pull Right-->
                                    <div class="column pull-right col-md-4 col-sm-6 col-xs-12">
                                        <!--Feature Block Two-->
                                        <div class="feature-block-two">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-paint-palette-and-brush"></span>
                                                </div>
                                                <h3><a >Working Memory</a></h3>
                                                <div class="text">This ability allows us to retain instructions or information in the brain long enough to carry out the assigned tasks. It is often related to information processing, intelligence, problem-solving and learning. Brainy’s cognitive skills’ training is a challenging program that helps the kids with improving their working memory.
                                                </div>
                                            </div>
                                        </div>

                                        <!--Feature Block Two-->
                                        <div class="feature-block-two">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-bus"></span>
                                                </div>
                                                <h3><a >Problem Solving</a></h3>
                                                <div class="text">From birth, the infants gain experiences and learn lessons by exploring their everyday world. Problem-solving refers to how a child perceives, thinks and understands his/her everyday world before acting upon it.
                                                </div>
                                            </div>
                                        </div>


                                    </div>

                                    <div class="image-column col-md-4 col-sm-12 col-xs-12">
                                        <figure class="image wow fadeInUp animated" style="visibility: visible; animation-name: fadeInUp;">
                                            <img src="assets/images/events/Meditation-Brain.png" alt="Franchise Opportunity" title="Cognitive skills">
                                        </figure>
                                    </div>
                                </div>
                                <!-- end of steps franchise -->
                            </div>
                        </div>

                    </div>
                </div>
                <div class="col-md-12 mb-20">
                    <div style="margin: 5%">
                    <div class="text">
                        Sessions delivered by Brainy to the children under cognitive skills training are delivered by a trained and experienced set of professionals. The strengths and weakness in the cognitive skills are generated through Brain Skill Power Index Score (BSPI) which can be easily tracked by their guardians displaying them with the results. The CLP program is easy to understand and play which will be fun for kids making learning easier.
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End Welcome Section-->

    <div class="scroll-contact" style="right: 0px;">
        <div class="scroll-form-button open-form">
            <a href="/student-inquiry-form"><img src="assets/images/inquiry.jpg" title="Inquiry" alt="Inquiry"></a>
        </div>
    </div>
@endsection
