@extends('layout.main')
@section('content')
    <style>
        aside {
            padding-right: .5rem;
            margin-right: .5rem;
            margin: 2%;
        }
        aside > div {
            margin: .5rem;
        }

        .overview{
            margin: 5%;
        }
        .overview-parent{
            background-color: #cccccc45;
            border-radius: 102px 20px 102px;
            margin-bottom: 2%;
        }
        .books__book__img  img:hover {
            -webkit-transform: rotate(10deg); /* Safari */
            transform: rotate(10deg);
        }
        .books__book__img img {
            -webkit-transition: width 2s, height 2s, -webkit-transform 2s; /* Safari */
            transition: width 2s, height 2s, transform 2s;
        }
        .offerings{
            position: relative;
            background: #00aabb45;
            border-radius: .4em;
        }

        .offerings:after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 50%;
            width: 0;
            height: 0;
            border: 18px solid transparent;
            border-top-color: #00aabb45;
            border-bottom: 0;
            border-left: 0;
            margin-left: -9px;
            margin-bottom: -18px;
        }

        .books__book__img {
            margin-top: 22%;
        }

        /*.list-type1{*/
            /*width:400px;*/
            /*margin:0 auto;*/
        /*}*/

        .list-type1 ol{
            counter-reset: li;
            list-style: none;
            *list-style: decimal;
            font-size: 15px;

            padding: 0;
            margin-bottom: 4em;
        }
        .list-type1 ol ol{
            margin: 0 0 0 2em;
        }

        .list-type1 a{
            position: relative;
            display: block;
            padding: .4em .4em .4em 2em;
            *padding: .4em;
            margin: .5em 0;
            background: #93C775;
            color: #000;
            text-decoration: none;
            -moz-border-radius: .3em;
            -webkit-border-radius: .3em;
            border-radius: 10em;
            transition: all .2s ease-in-out;
        }

        .list-type1 a:hover{
            background: #d6d4d4;
            text-decoration:none;
            transform: scale(1.1);
        }

        .list-type1 a:before{
            content: counter(li);
            counter-increment: li;
            position: absolute;
            left: -1.3em;
            top: 50%;
            margin-top: -1.3em;
            background:#93C775;
            height: 2em;
            width: 2em;
            line-height: 2em;
            border: .3em solid #fff;
            text-align: center;
            font-weight: bold;
            -moz-border-radius: 2em;
            -webkit-border-radius: 2em;
            border-radius: 2em;
            color:#FFF;
        }
        @media (min-width: 992px) {
            .tips-first {
                width: 40%;
                margin:auto;
            }
        }

    </style>
    <!--Page Title-->

    <section class="page-title" style="background-image:url(assets/images/background/5.jpg);">
        <div class="auto-container">
            <div class="inner-box">
                <h1>Improve Concentration Power in your Child
                </h1>
                <ul class="bread-crumb">
                    <li>Improve your child’s concentration by minimizing distractions</li>
                    {{--<li>Brainy Se Program</li>--}}
                    {{--<li>Sensory Enhancement</li>--}}
                </ul>
            </div>
        </div>
    </section>
    <!--End Page Title-->

    <!--Welcome Section-->
    <section class="welcome-section sensory-section">
        <div class="auto-container">

            <div class="row overview-parent">
                <div class="col-md-12">
                    <div class = "row">
                        <div class="col-md-3">
                        <aside style="float: left; width: 100%;">
                            <a href="#" class="books__book__image">
                                <div class="books__book__img">
                                    <img class="brain " src="assets/images/events/question_brain.png" width="100%">
                                </div>
                            </a>
                        </aside>
                        </div>
                        <div class="col-md-9">
                        <div class="overview">
                            <h3>Overview</h3>
                            <div class="text list-type1" style="font-size: 19px; text-justify: distribute-all-lines">Does your child face any of these difficulties?
                                <ol>
                                    <li><a href="#">Does your kid face difficulty in concentrating while performing a particular task?</a></li>
                                    <li><a href="#">Does sleep overtake them while they are supposed to study?</a></li>
                                    <li><a href="#">Is it difficult for your kid to concentrate for a longer time as they easily get distracted?</a></li>
                                    <li><a href="#">Does your child have difficulty in learning and remembering?</a></li>
                                    <li><a href="#">Does he or she lose things often and cannot remember where they had kept a particular thing?</a></li>
                                </ol>
                            </div>
                            <div class="text">If you have a ‘YES’ to any of these questions, then you must follow the tips Bainy uses to increase the concentration power of your child. The core objective of Brainy’s program is to help students improve their levels of focus and concentration resulting in the increase in confidence.</div>
                        </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">

                </div>
            </div>


            <div class="row clearfix">
                <div class="col-md-12 offerings">
                    <div style="margin: 5%">
                        <h3 style="text-align: center; margin-bottom: 1%">Tips to Increase Concentration Power in your Child</h3>
                        <div class="text">
                            Performing larger tasks for a long time can be overwhelming and difficult for little ones. Larger tasks can be daunting and can demoralize and frustrate children from achieving their desired goals. At Brainy we help them improve their concentration by making them follow the below given steps.
                        </div>

                    </div>
                </div>
                <div class="col-md-12">
                    <div class="tabs-content pt-50">

                        <div class="tab active-tab" id="education">
                            <div class="content">

                                <!-- steps of franchise -->
                                <div class="clearfix move-column">
                                    <div class="column  col-md-12 col-sm-12 col-xs-12">
                                        <!--Feature Block-->

                                            <div class="tips-first">
                                                <div class="feature-block-two">
                                                    <div class="inner-box">
                                                        <div class="icon-box">
                                                            <span class="icon flaticon-book"></span>
                                                        </div>
                                                        <h3><a>Divide Bigger Tasks into Smaller Ones</a></h3>
                                                        <div class="text">The faculty as Brainy breaks down any particular long task into smaller tasks that takes lesser time. For which child doesn’t feel burdened which ultimately gives them the satisfaction of having made progress in completing the assigned task successfully.
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                    </div>
                                    <!--Column/ Pull Left-->
                                    <div class="column pull-left col-md-4 col-sm-6 col-xs-12">
                                        <!--Feature Block-->
                                        <div class="feature-block">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-book"></span>
                                                </div>
                                                <h3><a>Minimize Distractions</a></h3>
                                                <div class="text">Setting up an environment that is free from all distractions like loud music, TV noise, toys is important. Also, at Brainy we do not allow the use of mobile phones, browsing the internet which can easily help in increasing child’s concentration.
                                                </div>
                                            </div>
                                        </div>

                                        <!--Feature Block-->
                                        <div class="feature-block">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-football"></span>
                                                </div>

                                                <h3><a >Spend Time with your Kids</a></h3>
                                                <div class="text">In the Parenting Session which is conducted at the end of every level Workshop and During our Progress
                                                    Meeting we stress on the need for parents to Spend more time with the kids even though you are busy with your work.
                                                    This will create a positive environment at home as well as it will help them focus on their activities.
                                                </div>
                                            </div>
                                        </div>


                                    </div>
                                    <!--Column / Pull Right-->
                                    <div class="column pull-right col-md-4 col-sm-6 col-xs-12">
                                        <!--Feature Block Two-->
                                        <div class="feature-block-two">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-paint-palette-and-brush"></span>
                                                </div>
                                                <h3><a >Use Fun Activities to Make them Focus</a></h3>
                                                <div class="text">We at Brainy intermix work with play by letting him choose the activities in between study periods. May it be anything, he could play, listen to music or go to sleep.
                                                </div>
                                            </div>
                                        </div>

                                        <!--Feature Block Two-->
                                        <div class="feature-block-two">
                                            <div class="inner-box">
                                                <div class="icon-box">
                                                    <span class="icon flaticon-bus"></span>
                                                </div>
                                                <h3><a >Encourage Breathing Exercise</a></h3>
                                                <div class="text">Sufficient amount of oxygen is necessary for the brain to function at its optimum level.
                                                    Make your child perform basic breathing exercises to maintain adequate oxygen level. At BRAINY one of the major
                                                    pillars of our training is Meditation and  we ingrain in our students the practice of Deep Breathing.
                                                </div>
                                            </div>
                                        </div>


                                    </div>

                                    <div class="image-column col-md-4 col-sm-12 col-xs-12">
                                        <figure class="image wow fadeInUp animated" style="visibility: visible; animation-name: fadeInUp;margin-top: 3px;">
                                            <img src="assets/images/events/brain_function.png" alt="Franchise Opportunity" title="Cognitive skills" style="max-width: 78%">
                                        </figure>
                                    </div>

                                    <div class="column  col-md-12 col-sm-12 col-xs-12">
                                        <!--Feature Block-->
                                        <div class="row">
                                            <div class="column pull-left col-md-6 col-sm-6 col-xs-12" style="padding-right: 5%;padding-left: 5%">
                                                <div class="feature-block">
                                                    <div class="inner-box">
                                                        <div class="icon-box">
                                                            <span class="icon flaticon-paint-palette-and-brush"></span>
                                                        </div>
                                                        <h3><a >Read Bedtime Stories to your Child</a></h3>
                                                        <div class="text">We recommend parents to get storybooks of your child’s interest and read the stories aloud while your child is in rest mode. This will increase his listening skills and enhance his imagining and visual processing skills promoting concentration.
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="column pull-right col-md-6 col-sm-6 col-xs-12" style="padding-left: 5%;padding-right: 5%;">
                                                <div class="feature-block-two">
                                                    <div class="inner-box">
                                                        <div class="icon-box">
                                                            <span class="icon flaticon-paint-palette-and-brush"></span>
                                                        </div>
                                                        <h3><a >Schedule Activities and Set Goals</a></h3>
                                                        <div class="text">While assigning a task, Brainy ensures to set a time limit that will gently force our kids to finish the task within a specific time limit. We make sure that the time limit is neither too short nor too long to frustrate or distract them. We also reward them with gifts when they complete the tasks according to the timetable which will keep them motivated.
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!-- end of steps franchise -->
                            </div>
                        </div>

                    </div>
                </div>
                <div class="col-md-12 mb-20">
                    <div style="margin: 5%">
                        <div class="text">
                            At Brainy, all the faculties take care that our children are motivated through appreciation, token gifts which will help them do well in their childhood as well as in adult life.
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End Welcome Section-->

    <div class="scroll-contact" style="right: 0px;">
        <div class="scroll-form-button open-form">
            <a href="/student-inquiry-form"><img src="assets/images/inquiry.jpg" title="Inquiry" alt="Inquiry"></a>
        </div>
    </div>
@endsection
