@extends('layout.main')
@section('content')
    <!--Page Title-->
    <section class="page-title" style="background-image:url(assets/images/background/5.jpg);">
        <div class="auto-container">
            <div class="inner-box">
                <h1>Franchise Inquiry Form</h1>
                <ul class="bread-crumb">
                    <li>Franchise</li>
                    <li>Franchise Inquiry</li>
                </ul>
            </div>
        </div>
    </section>
    <!--End Page Title-->
    <div>
    </div>
    <!--Welcome Section-->
    <section class="franchisee-inquiry-section">
        <div class="auto-container">
            <!--Info Section-->
            @if(Session::has('message'))
                <div class="alert {{ Session::get('alert-class', 'alert-danger') }}">{{ Session::get('message') }}</div>
            @endif
            <div class="sec-title centered">
                <div class="title-icon"><img src="assets/images/icons/sec-title-icon-1.png" alt="" /></div>
                <h3>Join the Brainy Network ! Fill up the form below and we will get back to you</h3>
            </div>
            <!--Form Section-->
            <div class="form-section">
                <div class="row clearfix">
                    <!--Form Column-->
                    <div class="form-column col-md-12 col-sm-12 col-xs-12">
                        <!-- contact Form -->
                        <div class="contact-form">
                            <!--contact Form-->
                            <form method="post" action="{{url('inquiry/franchise')}}" id="contact-form">
                                {{ csrf_field() }}
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="first_name" placeholder="First Name" required>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="surname" placeholder="Surname" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="current_occupation" placeholder="Current Occupation" required>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="age" placeholder="Age" required>
                                        </div>
                                    </div>
                                </div>
                                <!-- row -->
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="number" placeholder="Mobile Number" required>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="whatsapp_number" placeholder="WhatsApp Number" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="text" name="preferred_time_to_call" placeholder="Preferred Time  to call " required>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <input type="email" name="email" placeholder="Email Id" required>
                                        </div>
                                    </div>
                                </div>
                                <!--row  -->
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <select onchange="print_state('state', this.selectedIndex); appendOther();" id="country" name ="country" required>
                                                <option value="">Select State</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <div class="form-group">
                                            <select  class="data-list-input"  id ="state" required>
                                                <option value="">Which City do you wish to start Franchise</option>
                                            </select>
                                            <br>
                                            <input class="data-list-input" style="display: none;" placeholder="Which City do you wish to start Franchise" type="text" name="state" required="required" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-md-6 contact-message">
                                        <h4>Describe Yourself</h4>
                                        <div class="form-group">
                                            <textarea name="describe_yourself" row="3" placeholder="Describe Yourself"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <!-- row -->
                                <!-- <h4>Name of Person who would be handling the Business & your Relationship with the Person:- </h4>
                                <div class="row">
                                  <div class="col-xs-12 col-md-6">
                                      <div class="form-group">
                                          <input type="text" name="franchise_name" placeholder="Name" required>
                                      </div>
                                  </div>
                                  <div class="col-xs-12 col-md-6">
                                      <div class="form-group">
                                          <input type="text" name="relationship" placeholder="Relationship" required>
                                      </div>
                                  </div>
                              </div> -->
                                <!-- row -->
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <h4>Select Course Interested in  :- </h4>
                                        <div class="form-group">
                                            <div class="radio">
                                                <label><input type="radio" name="optradio1" value="Brainy SE  (Sensory Enhancement)">Brainy SE  (Sensory Enhancement)</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio1" value="Brainy Abacus Course">Brainy Abacus Course</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio1" value="Brainy Kindergarten">Brainy Kindergarten</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio1" value="Brainy Write Smart">Brainy Write Smart</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-6">
                                        <h4>Type of Franchise Interested in :- </h4>
                                        <div class="form-group">
                                            <div class="radio">
                                                <label><input type="radio" name="optradio2" value="Unit Franchise">Unit Franchise</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio2" value="City Franchise">City Franchise</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio2" value="Master Franchise">Master Franchise</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xs-12 col-md-6">
                                        <h4>Do You Have your own Premises to Start the Franchise :- </h4>
                                        <div class="form-group">
                                            <div class="radio">
                                                <label><input type="radio" name="optradio3" value="I have space between 500 – 1000 Sq. Ft">I have space between 500 – 1000 Sq. Ft</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio3" value="I have Space between 1001 – 2000 Sq. Ft">I have Space between 1001 – 2000 Sq. Ft</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio3" value="I have Space between 2001 and Bigger">I have Space between 2001 and Bigger</label>
                                            </div>
                                            <div class="radio">
                                                <label><input type="radio" name="optradio3" value="I do not own any Space right now">I do not own any Space right now</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row text-center">
                                    <div class="form-group">
                                        <div class="g-recaptcha" data-sitekey="6LfLfVkUAAAAAMV0VucJRRQGeJg-wPT5BMybHKDF"></div>
                                    </div>
                                    <div class="form-group">
                                        <button class="theme-btn btn-style-one" type="submit" name="submit-form">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <!--End Contact Form -->
                    </div>
                </div>
            </div>
        </div>
    </section>
{{--    <style>--}}
{{--        div.state-input--}}
{{--        {--}}
{{--            position: relative;--}}
{{--            height: 20px;--}}
{{--            display: inline-flex;--}}
{{--            padding: 5px 0 5px 0;--}}
{{--        }--}}
{{--        select.state-input--}}
{{--        {--}}
{{--            position: absolute;--}}
{{--            top: 5px;--}}
{{--            left: 0px;--}}
{{--            height: 20px;--}}
{{--        }--}}
{{--        input.state-input--}}
{{--        {--}}
{{--            position: absolute;--}}
{{--            top: 0px;--}}
{{--            left: 0px;--}}
{{--            height: 20px;--}}
{{--        }--}}
{{--    </style>--}}
<script type="text/javascript">
    jQuery(function() {
        //keep the focus on the input box so that the highlighting
        //I'm using doesn't give away the hidden select box to the user
        $('select.data-list-input').focus(function() {
            $(this).siblings('input.data-list-input').focus();
        });
        //when selecting from the select box, put the value in the input box
        $('select.data-list-input').change(function() {
            $(this).siblings('input.data-list-input').val($(this).val());
        });
        //When editing the input box, reset the select box setting to "free
        //form input". This is important to do so that you can reselect the
        //option you had selected if you want to.
        $('input.data-list-input').change(function() {
            $(this).siblings('select.data-list-input').val('');
        });
    });
</script>
    <!--End Welcome Section-->
@endsection
@section('location_script')
    <script language="javascript">print_country("country");</script>
    <script>
        // document.getElementById("country").onchange = function() {$("#state").append(new Option("Other", "Other"));};
        // $("country").onchange = function() {appendOther()};
        function appendOther(){
            $("#state").append(new Option("Other", "Other"));
            $('#state').show();
            $('input.data-list-input').hide();
            $('#state').prop("required", true);
        }
        $('#state').change(function(){
            if($(this).val() == 'Other'){ // or this.value == 'volvo'
                // $('#state').hide();
                $('input.data-list-input').show();
                $(this).val('');
                $('#state').removeAttr('required');
                // $('input.data-list-input').attr("placeholder", "Type City Name Here");
            }
            else{
                $('#state').prop("required", true);
                $('input.data-list-input').hide();
            }
        });
    </script>
@endsection